Introduction

 Top Next

IrfanView is a compact, easy to use image viewer. More than that, you can also edit images directly in IrfanView, to produce a variety of effects. IrfanView was created by Irfan Skiljan.

Open IrfanView by clicking its icon on the Windows Start Menu or double clicking the icon on your desktop.

Click on the File Menu, then the Open option to get a file for use in the viewer. A dialog box will allow you to select the file you want. Click the Preview active box in the Open dialog to see small versions of images before opening them.

With an image in the viewer, you can manipulate it in a large number of ways. Most functions for changing an image are in the Edit and Image menus.

When you are finished with the image, Save it to your disk. Bring in another image or Exit IrfanView.


Frequently Asked Questions

 Top Previous Next

The most recent version of this page is available on the IrfanView website:

http://www.irfanview.com/faq.htm

Here are some interesting questions about IrfanView, bug reports, etc.

Q: I want to create a CD-ROM with images and I wish to copy IrfanView on the CD. How can I start IrfanView's Slideshow when I insert the CD in the drive?
A: You can create either a self running EXE slideshow file (in the slideshow dialog) or you can copy the original files to the CD and use a TXT file. Read this page for an example.

Q: Problem: If I try to play some AVIs, I get the error message "Video not available, cannot find MJPG decompressor"!
A: Method 1: Go to 'Properties->Video' and activate the option: 'Use DirectShow for playing'.

Method 2: Please install the MJPG (Motion JPEG) video codec. Try these sites:

http://www.free-codecs.com/Motion_JPEG_Codec_download.htm

http://www.mainconcept.com/downloads.shtml

http://www.morgan-multimedia.com

http://www.fourcc.org/indexcod.htm

Q: Problem: If I try to play some AVIs and MPGs with IrfanView, I always get the error message "MMSYSTEMxxx, no device ..."!
A: Please search on http://www.microsoft.com/ for more infos about the message number. In some cases a fix is available.

Q: Generic problem with video files: If I try to play some AVIs, I get the error message "Video not available, cannot find XXX decompressor"!
A: The correct video codec is not installed, please check this site for the right codec (see in menu Image->Information for the codec name):

http://www.fourcc.org/indexcod.htm

http://www.codec-download.com

http://codecs.necromancers.ru

http://www.free-codecs.com

http://www.microsoft.com/downloads/results.aspx?productID=&freetext=media+8&DisplayLang=en

http://www.videohelp.com

A good codec pack is the K-Lite Codec Pack, it contains the most popular video/audio codecs.

Q: How to reduce saved file size from XX to YY KB?
A: There is no one-click solution for that, sorry.
1. Open an image.
2. Go to menu Image->Resize/Resample and reduce the image dimensions in pixels.
3. Go to menu File->Save As, choose JPG and save as new file (see also JPG save options like: lower JPG quality, uncheck EXIF, etc.).
4. Look at the file size of the new file. If still too big, repeat the steps, using smaller pixel size and/or lower quality, etc.
X. For many images, use menu File->Batch Conversion, Advanced options.

Note: since version 4.20, a new JPG save option has been allowed: Set file size. IrfanView PlugIns must be installed.

Q: Bug report: Since yesterday, IrfanView shows all my images black/white! Why?
A: The load option for JPGs "Load as grayscale" in 'Properties->JPG/PCD/GIF' is activated, please uncheck!

Note: in the Save dialog, see JPG format save options. The option "Save as grayscale" must not be active.

Q: Bug report: IrfanView can't read filenames/paths with chinese, japanese, polish etc. characters.
A: Please activate the UNICODE PlugIn in Properties->Languages and restart the program.

Q: How to use JPG lossless operations (Rotation, IPTC, Comment) in batch mode?
A: Start the Thumbnail window, open the folder with JPGs, select many JPGs and see in thumbnail menu File for JPG Lossless Operations à Lossless transformations with selected thumbs. Note: The auto-rotation option works only if the EXIF orientation tag is properly saved (not top-left).

Q: Is there a portable IrfanView version (for USB sticks, CDs etc.)?
A: Yes, EVERY IrfanView version is portable. You can:
1. Copy your existing/installed IrfanView folder to USB stick (recommended), or
2. Use the normal installer and install IrfanView to an USB stick folder, or
3. Use the ZIP version and unzip to a USB stick folder.

(Note: the ZIP version of IrfanView is always available on the website link "Other download sites", at the bottom of the page)

Q: Why are some edit menus or the red eye menu greyed out?
A: Many edit options or red eye reduction works on selections only. Create first a selection (outline rectangle) in the image using the left mouse button.

Q: How can I make IrfanView as my default viewer?
A: Start IrfanView, go to 'Properties->Extensions' and associate your types.

Q: Why is RAW loading slow (Camera RAW formats, e.g. CR2)?

A: This depends which RAW plugin options are used in 'Properties->PlugIns '. The preview option is the fastest, Half-size is fast and if both are deactivated: the full RAW image is loaded => this is very slow.

Q: How to sort pictures by date-taken?
A: Open Thumbnails window and load a folder. See thumbnails sort menu, use Sort by EXIF date.

Q: Is IrfanView affected by the MS JPEG vulnerability?
A: NO. There is no GDI+ usage in IrfanView.

Q: How can I batch rename "JPG" files to "jpg" (lower case extensions)?
A: In the Batch-Conversion dialog use the rename pattern: $N.jpg.

Q: How can I add background sound for automatic slideshow or EXE/SCR?
A: In the slideshow dialog put/add MP3 files into the slideshow file list, usually at the begin or before an image. The MP3 file is played until it ends or until next MP3 is loaded from the file list. IrfanView PlugIns should be also installed, at least the MP3 PlugIn.

Q: Batch conversion: How can I save result files in the original/source folder (even if files from several input subfolders are used)?
A: Use Advanced batch options, activate the option Create subfolders in destination folder. As destination folder (main batch dialog), set the root folder of your input files, e.g. C:\, if all input files are located on C drive.

Q: Why I can't scroll a large, zoomed (larger than screen) image in fullscreen mode using arrow/page keys?
A: Either is the image not really larger than screen or the option Properties->Browsing->Always jump to next image ... active, please uncheck.

Q: Why is the saved JPG file much bigger than the original JPG file?
A: The JPG file size depends primary on JPG save quality, in the Save dialog options. Normal quality is 75 or 80, higher values will produce larger result files.

Q: I downloaded IrfanView (or PlugIns) but when I start it, I get the message "This is not a valid Win32 application"?
A: This message is showed for damaged/incomplete EXE files, probably a download error. Download again, try another mirror or location.

Q: How can I add background sound to a VCD (Video CD)?
A: This is not possible by the VCD specification.

Q: Is IrfanView compatible with Windows 7/Vista/XP 64 bit?
A: YES, like probably 95% of all 32 bit programs.

Q: If I start IrfanView on Windows 7, the system asks me each time about the start as Administrator, why?
A: Somebody, not IrfanView, set the program properties to "Run as administrator". Disable this option (right click on IrfanView icon/EXE, Properties, tab: Compatibility) and run IrfanView normally. Actually, no option should be selected in the Compatibility tab for IrfanView.

Q: How can I change the icon for IrfanView associations?
A: Go to Properties->Extensions and choose the Miscellaneous button. Here you can set other icon(s) for associated file types.

Q: Bug report: Since yesterday, IrfanView shows all images distorted/stretched! Why?
A: The View Menu option "Fit images to desktop" is activated (or a similar view option), please uncheck and use the recommended display option.

Q: How to extract images from the EXE Slideshow?
A: Start the EXE and press F1 for help. Use E hotkey for extraction.

Q: How to change JPG IPTC/Comment data for many images (batch mode)?
A: In the Thumbnails window, select many JPG images/files and use the menu JPG Lossless Operations à Set IPTC data/Comment to selected thumbs. The data for the first image is applied to all files. The IPTC dialog offers additional options.

Q: Are the JPG editing options for IPTC/Comment lossless?
A: Yes, the image itself is NOT recompressed.

Q: How can I load only desired file types during the browsing?
Q: How to exclude specific file extensions (e.g. TXT) from browsing through directory?
Q: IrfanView can load e.g. CR2 files, but the files are not showed in the Thumbnail window?
A: Go to Properties->Extensions, edit the file extensions in field Load custom file types; delete unwanted or add special (but supported!) extensions.

Q: Bug report: If I decrease the color depth to 8 or less BPP, the saved JPG file is always 24 BPP?
A: Please note that a JPG can be only saved as 24 BPP or 8 BPP grayscale image. JPG do not allow other BPP values. If you want other BPP values, please use formats like PNG, TIF, BMP, etc.

Q: How can I change the desktop icon for IrfanView?
A: This is a standard Windows feature. Right click on the desktop icon, then 'Properties'. Now you can set another icon (change icon) or remove/change the hotkey for the program start.

Q: How can I load file types WITHOUT any extension during the browsing?
A: Go to Properties->Extensions, edit the file extensions in field Load custom file types; add a | at the end, to create an empty extension entry. Optional: go to Properties->File Handling and disable the option: Ask to rename if incorrect extension.

Q: How to print only a part of the image?
A: Use left mouse button to select the desired part in the image, then use the Print menu. Alternative: Edit->Crop, then print.

Q: How to print many files (batch print)?
A: In the Thumbnails window, you can select many images/files and use the menu Print selected files as single images.

Q: How load PDF files in IrfanView?
A: Install IrfanView and PlugIns. Install Ghostscript from e.g. http://sourceforge.net/project/showfiles.php?group_id=1897.

Q: How to print many images on one page?
A: In the Thumbnails window, use the menu Create contact sheet from selected thumbs. The result image(s) can be printed or saved.

Q: Is IrfanView compatible with Windows 95 or 98?
A: Yes, IrfanView is compatible with all Win9x- and later Windows versions. Win9x means: Windows 95, 98, 98 SE and Windows ME.

Q: Is there a way to do batch scanning without having an ADF scanner?
A: Yes, uncheck the option in menu: File à Acquire/Batch scanning à Close TWAIN dialog after acquiring image.

Q: How to use Unicode (e.g. Chinese) text in the Insert-Text dialog?
A: Go to Windows Control Panel, Regional and Language settings (advanced settings), choose "Chinese" for the option "Language for non-Unicode programs".

Q: How can I play QuickTime (MOV) files with IrfanView?
A: If you want to play all QuickTime files: install Apple QuickTime, install IrfanView PlugIns. Activate the Quicktime PlugIn for IrfanView in Properties->Video/Sound.

Q: Bug report: IrfanView won't save settings! Why?
A: There are 2 possibilities, first: your INI (i_view32.ini) file (or whole IrfanView folder) is set to read-only, please change that; second: some "smart" washer/restore tools/plugins are washing too much, please exclude IrfanView files/folder from such actions. You can also redirect the INI file to another folder (see another question below); also possible during the installation.

Q: Bug report: The Add button in the slideshow/batch dialog won't add the selected file to the file list.
A: There is a Windows Explorer "feature": Hide file extensions for known file types. Please deactivate this default (and stupid) Explorer option to show files with their real names and extensions!

Q: Bug report: The thumbnail window crashes if I have many files in a folder!
A: This is a Windows 9x/XP bug (now also on Windows 7 64 bit => Blue screen, Windows bug), the max. number of files in the folder is system dependent. WinNT/Win2K works fine. Try to split files to several folders.

Q: Bug report: When I capture a video, why is the screen black?
A: Try to disable video acceleration in Settings à Control Panel à Display à Throubleshooting, during the screenshots. Or start a second player instance and try to capture it.

Q: Bug report (Windows 95): In the thumbnail window, when I click on a thumbnail, nothing happens, the image will not be displayed in the main window!
A: You have an old version of the "comctl32.dll", please update this Windows component from the MS homepage, search for Comctl32.dll update.

Q: Problem: When double click a file which is associated with IrfanView, I get an error message "Cannot find the file [path] or one of its components". What is the problem?
A: Start IrfanView, go to 'Properties->Extensions' and associate your file types again.

Q: Bug report: IrfanView runs/starts very slowly on my system! Why?
A: Probably an old anti virus program or another background software is running, which causes such problems. Check your system.

Q: Bug report: The screensaver created by IrfanView shows just few images and then exits. Why?
A: The problem is caused by another running software, which kills the saver. Check your system.

Q: Upgrade: Is it necessary to uninstall the older version before installing the newer version?
A: No. Install a new version over any older version. After install, just refresh your associations/options under Properties->Extensions.

Q: Can I use IrfanView on Linux?
A: Yes. There is no native-Linux version of IrfanView. However, you can use IrfanView in conjunction with Linux programs like WINE, Windows Linux emulators and Linux-based virtual machines. See instructions on:

http://www.wine-reviews.net/applications/irfanview-410-on-linux-with-wine.html

Take the ZIP version of IrfanView and unzip it or copy your existing Windows IrfanView folder to Linux. This is easier because the installer may need additional Windows DLLs to run.

Q: Can I use IrfanView on Mac?
A: Yes, probably. There is no native-Mac version of IrfanView. However, you can use IrfanView in conjunction with Mac program like WineBottler/DARWINE.

Take the ZIP version of IrfanView and unzip it or copy your existing Windows IrfanView folder to Mac. This is easier because the installer may need additional Windows DLLs to run.

Q: Basic: How can I convert e.g. a BMP image/file to JPG?
A: Open a BMP file using the File->Open menu. Now go to File->Save as menu, choose JPG as output format, set the new file name/folder and save. If you want to convert many files, use the Batch Conversion.

See also this video: http://www.youtube.com/watch?v=cj-rDx1hH4A

Q: Basic: Do I need IrfanView PlugIns?
A: Probably not. All basic options/features/PlugIns are included in the standard IrfanView installation. PlugIns contains usually special file formats. If you need a special PlugIn, IrfanView will show you an error message and then you can/should install all other PlugIns.

Q: Does IrfanView contain Spyware or Viruses, etc.?
A: NO. If your anti virus program reports a virus or spyware in IrfanView downloaded from the official homepages, you should either update the anti virus program or use a better one.

Q: Advanced: Is there a trick to hide program menu and caption permanently, similar to toolbar and status bar?
A: Yes. In the INI file, write in section [Menu] Active=0 to hide menu, in section [Caption] Active=0, to hide the program title.

Q: I am an administrator. How can I install IrfanView on a server/PC with same settings for all users?
A: 1) Install IrfanView on the server/PC.

2) Set your IrfanView options (properties, etc.). Now set the INI file "i_view32.ini" to read-only.

The users can't change IrfanView options anymore.

3) To prevent the registry changes (associations), you can hide the Properties->Extensions dialog. Write in the INI file:

ShowExtensionsDlg=0 in section [Extensions].

Q: I am an administrator. How can I install IrfanView on a server/PC but each user should save/use own INI files?
A: 1) Install IrfanView on the server/PC.

2) Write in the INI file (i_view32.ini on server/PC):

INI_Folder=folder in section [Others].

Examples:

INI_Folder=C:\TEMP, or

INI_Folder=%TEMP%, or

INI_Folder=%APPDATA%\IrfanView, or

INI_Folder=C:\TEMP\%YOUR_ENVIRONMENT_VARIABLE%, or

INI_Folder=%YOUR_ENVIRONMENT_VARIABLE%\folder

Q: I am an administrator, IrfanView is installed on a server, each user hat its own INI file. How to set the default program language to e.g. German/Deutsch?
A: Method 1: Prepare a special INI file with custom default settings and copy it over the local/users INI file.

Method 2: Write in the global INI file (i_view32.ini on server):

DefaultLang=dll-name in section [Language].

Example for german:

DefaultLang=deutsch.dll in section [Language].

Q: I am an administrator. How can I silently install/uninstall IrfanView?
A: Usually, you can download the ZIP version of IrfanView and PlugIns and deploy the files. Self install versions have special start options for silent install (examples, version 4.20):

1) IrfanView:

iview420_setup.exe /silent /folder="c:\test folder\irfanview"

iview420_setup.exe /silent /folder="c:\test folder\irfanview" /desktop=1 /thumbs=1 /group=1 /allusers=0 /assoc=1 /ini="%APPDATA%\irfanview"

iview420_setup.exe /silent /folder="c:\test folder\irfanview" /ini="c:\temp"

Options:

folder: destination folder; if not indicated: old IrfanView folder is used, if not found: "Program Files" folder used
desktop: create desktop shortcut; 0 = no, 1 = yes (default: 0)
thumbs: create desktop shortcut for thumbnails; 0 = no, 1 = yes (default: 0)
group: create group in Start Menu; 0 = no, 1 = yes (default: 0)
allusers: desktop/group links are for all users; 0 = current user, 1 = all users
assoc: if used, set file associations; 0 = none, 1 = images only, 2 = select all (default: 0)
assocallusers: if used, set associations for all users (Windows XP only)
ini: if used, set custom INI file folder (system environment variables are allowed)

2) PlugIns:

irfanview_plugins_420_setup.exe /silent

3) Uninstall:

iv_uninstall.exe /silent

Q: What is the IrfanView icon, is this a bear or devil or something else?
A: This is a red CAT, a road cat. Note, I like cats, but this is a joke ;-)

Misc: Some IrfanView users created tutorials for specific features/operations. Thanks guys!

- Installation: http://www.downloadtube.com/IrfanView-4-20-demo-installation-windows.html
- Common: http://www.downloadroute.com/IrfanView-Irfan-Skiljan/tutorials.html
- Common: http://www.sticksite.com/irfanview/
- Common: http://www.indeavors.com/resources/tutorials.htm
- Common: http://www.cam-web.co.uk/IrfanviewTutorials
- Common: http://www.pc-tinkering.de/search.php?search=Irfanview&language=1
- Common: http://www.fotowelt-online.de/software/irfanview/index.php (german)
- Common: http://www.lehrerfortbildung-bw.de/werkstatt/bild/irv/ (german)
- Common: http://www.henner.info/irfan.htm (german)
- Common: http://www.infografik.ch/bro11_irfan.pdf (german, PDF)
- Common: http://home.casema.nl/sve/irfanview/irfanview.htm (dutch)
- Batch resize: http://www.lancelotgroup.com/tutorials/HowToResize-IrFanView-Start.asp
- Batch resize: http://www.coffeedrunk.com/2008/10/08/how-to-do-a-batch-resize-using-irfanviewtutorial/
- Command line: http://www.netikka.net/tsneti/info/tscmd137.htm
- Batch conversion: http://www.photosapiens.com/article.php?id_article=1224 (french)
- Batch conversion: http://www.youtube.com/watch?v=dWvlvu_4NQc (spanish)
- Contact sheet: http://www.photosapiens.com/article.php?id_article=1694 (french)
- Cropping: http://www.peterkjohnson.com/helpSheet/demoCroppingIrfanview/croppingIrfanview.html
- Slideshow: http://www.zisman.ca/Irfanview/
- Screensaver: http://www.furytech.net/tutorials/irfanviewtutorials/using_irfanview_to_make_screensa.htm
- Install, Resize: http://www.hp-h.com/p/paradj/tshootimg/irfanview/
- Install, etc.: http://www.kulak.ac.be/renwv/nazorg/wegwijsweb/ (dutch)
- JPGs: http://netzreport.googlepages.com/hidden_data_in_jpeg_files.html
- Fractals: http://benscheele.com/ag/fractal_art.htm

Misc: Interesting links for special Windows problems:

- Wrong thumbnails in Explorer: http://www2.whidbey.net/djdenham/Tweekz.htm
- Video tools/conversions: http://www.videohelp.com


Installation

Setting up IrfanView for use.

For the experienced computer user:

Download IrfanView and unzip the files into a directory of your choice. Create a Shortcut to the program in the Windows Start Menu or on your Desktop.

For the less-experienced computer user:

Download a self-install copy of IrfanView and start the installation file.

Some informations:

Unzipped, the file contains several files. "i_about.txt" describes the viewer and gives information about the author. "i_changes.txt" contains the versions history of the program. "i_options.txt" outlines some advanced features of the program. "i_view32.exe" is the program that makes IrfanView work. The file "i_view32.chm" is the help file for the program.

Shortcuts are the labels you click in the Start Menu or the icons on your Desktop, that start programs for you. You need to create a shortcut to IrfanView. To make one in the Start Menu, click the Start button. Move the cursor up to point at Settings. On the sub-menu that appears, click Taskbar. A dialog box opens, with two tabs. Click the tab that is labeled: Start Menu Programs. In the top half of the box, click the Add button. A box called Create Shortcut comes up to put in the name of the program. Click the Browse button and another box opens, to locate your copy of IrfanView. Find it, click it, then click the Open button. The box closes and IrfanView is now selected. Click the Next button. A box comes up called Select Program Folder. Browse through to find the folder where you want the shortcut to appear in your Start Menu. Click the folder name, then click the Next button below. Finally a box comes up called Select a Title for the Program. Click the Finish button at the bottom of the dialog. Next time you open your Start Menu, a clickable label for IrfanView will be in the folder you selected.

The easiest way to create a desktop shortcut is to use the viewer itself. Open IrfanView. Click the Options Menu, then click Properties. A dialog box opens; click the tab called Miscellaneous. Almost at the bottom is a button labeled Create desktop link for IrfanView. Click this and an icon for the viewer will appear on your desktop. Click the OK button to close. Next time you want to use the viewer, just double click the icon or press the key combination Ctrl+Shift+I.

Note: You can install/update a new version over any older version. Uninstall is not required. After install, just refresh your associations under Properties->Extensions, if not already done during installation process.


Uninstall IrfanView

How to uninstall IrfanView?

Go to Windows menu: "Start > Programs > IrfanView" and click "Uninstall IrfanView" or see in Windows menu: "Start > Settings > Control Panel > Add/Remove Programs".


Supported File Formats

These are the file formats/extensions supported by the current version of IrfanView:

AIF¹, ANI, AU¹, AVI, AWD, B3D, BMP, CAM, CLP, CPT, CRW/CR2, CUR, DAT¹, DCM/ACR, DCX, DDS, DIB, DJVU, DLL/EXE, DXF/DWG/HPGL/CGM/SVG, ECW, EMF, EPS/PS/PDF/AI, EXR, FITS, FLI/FLC², FPX, FSH, G3, GIF, HDP/WDP, HDR, ICL, ICO, IFF/LBM, IMG, JLS, JP2, JPG/JPEG, JPM, KDC, Mac PICT², MAG, MED, MID, MNG/JNG, MOV¹², MP3, MPG/MPEG¹, MrSID, NLM/NOL/NGG/NSL/OTB/GSM, OGG, PBM, PCX, PDF, PGM, PIC, PhotoCD, PNG, PPM, PSD, PSP, PVR, QTIF², RAS/SUN, RealAudio, RAW, RLE, RMI, SFF, SFW, SGI/RGB, MrSID, SWF/FLV, SND¹, TGA, TIF/TIFF, TTF, TXT, WAD, WAL, WAV, WBMP, WMF, WMA, WMV, WBC/WBZ, WSQ, XBM, XPM, (DNG, EEF, NEF, ORF, RAF, MRW, DCR, PEF, SRF, X3F, RW2, NRW).

¹ Microsoft's Media Player program is required for these formats.

² Apple's QuickTime program is required for these formats.

Note: Many of these formats are supported through PlugIns, check the table below and read the file "i_plugins.txt" for more infos.

PlugIns Download: http://www.irfanview.com/plugins.htm

IrfanView Formats Overview:

Extension | Format name | Open | Save
AIF | Sound file, Audio Interchange Format | YES¹ ³ |
ANI | Animated Cursor format for Microsoft Windows | YES |
AU, SND | Encoded Audio format used by Sun and NeXT machines | YES¹ ³ |
AVI, WMV, ASF | Audio Video Interleaved: Microsoft's video for Windows | YES |
B3D | BodyPaint 3D Format | YES³ |
BMP, DIB | Windows Bitmap | YES | YES
CAM | Casio digital camera file | YES³ (JPG version) |
CLP | Windows clipboard format | YES |
CPT | CorelDraw Photopaint image | YES (CPT version 6) |
CRW, CR2 | Canon RAW image | YES³ |
CUR | Cursor Resource file format for Microsoft Windows | YES |
DCM, ACR, IMA | Dicom/ACR file format for medical images | YES³ |
DCX | Multipage PCX files format | YES |
DDS | Direct Draw Surface | YES³ |
DJVU, IW44 | DjVu file format | YES³ |
DXF, DWG, HPGL, CGM, SVG | CAD formats | YES³ |
ECW | Enhanced Compressed Wavelet | YES³ | YES³
EMF | Enhanced Metafile Format | YES | YES
EPS, PS, PDF, AI | PostScript formats | YES³ |
EXR | OpenEXR format | YES³ |
FITS | Flexible Image Transport System | YES³ |
FLI, FLC | Autodesk animation format | YES² ³ |
FPX | FlashPix format | YES³ |
FSH | EA Sports FSH format | YES³ | YES³
G3 | Group 3 Facsimile Apparatus format | YES³ |
GIF | Graphics Interchange Format | YES | YES
HDP, WDP | Microsoft HD Photo format | YES³ |
HDR | High Dynamic Range | YES³ |
ICL, EXE, DLL | Icon Library formats | YES (icons) |
ICO | Windows Icon | YES | YES
IFF, LBM | Interchange File Format | YES |
IMG | GEM Raster image | YES³ |
JLS | JPEG-LS, Lossless JPEG | YES³ |
JP2, JPC, J2K | JPEG 2000 format | YES³ | YES³
JPG, JPEG | Joint Photographic Experts Group | YES | YES
JPM | JPEG2000/Part6, LuraDocument.jpm | YES³ | YES³
KDC | Kodak digital camera format | YES³ |
Mac PICT, QTIF | Macintosh PICT format | YES² ³ |
MED | MED/OctaMED sound format | YES³ |
MID, RMI | Musical Instrument Digital Interface (MIDI) | YES³ |
MNG, JNG | Multiple Network Graphics | YES³ |
MOV, MP4 | QuickTime Movie format | YES² ³ |
MP3 | MPEG audio layer 3 format | YES³ |
MPG, MPEG | Moving Pictures Experts Group format | YES¹ ³ |
MrSID, SID | LizardTech's SID Wavelet format | YES³ |
DNG, EFF, NEF, MRW, ORF, RAF, DCR, SRF, ARW PEF, X3F, RW2, NRW | Digital camera RAW formats (Adobe, Epson, Nikon, Minolta, Olympus, Fuji, Kodak, Sony, Pentax, Sigma) | YES³ |
NLM/NOL/NGG/OTB/GSM | Nokia/LogoManager files | YES³ |
OGG | OGG Vorbis audio format | YES³ |
PBM | Portable Bitmap file format | YES | YES
PCX | PC Paintbrush format from ZSoft Corporation | YES | YES
PCD | Kodak Photo CD | YES |
PGM | Portable Greymap file format | YES | YES
PIC | Softimage PICT | YES³ |
PNG | Portable Network Graphics | YES | YES
PPM | Portable Pixelmap format | YES | YES
PSD | Adobe PhotoShop format | YES |
PSP | Paint Shop Pro file format | YES³ |
RAS, SUN | Sun Raster format | YES³ |
RA | RealAudio sound format | YES³ |
RAW | Raw (binary) data | YES³ |
RLE | Utah RLE format | YES³ |
SFF | Structured Fax File | YES³ |
SFW | Seattle Film Works format | YES³ |
SGI, RGB, RGBA | Silicon Graphics format | YES³ |
SWF, FLV | Macromedia's Flash/Shockwave format | YES³ |
TGA | Truevision Advanced Raster Graphics Adapter (TARGA) | YES | YES
TIF, TIFF | Tagged Image File Format | YES | YES
TTF | True Type Font | YES³ |
TXT | Text (ASCII) file | YES |
WAD | WAD3 game format | YES³ |
WAL | Quake 2 textures | YES³ |
WAV, WMA | Windows audio file | YES³ |
WBC/WBZ | WebShots formats | YES³ |
WBMP | WAP Bitmap format | YES³ |
WMF | Windows Metafile format | YES |
WSQ | Wavelet Scaler Quantization | YES³ |
XBM | X11 Bitmap | YES³ |
XPM | X11 Pixmap | YES³ |

¹ Microsoft's Active Movie program is required for these formats.

² Apple's QuickTime program is required for these formats.

³ PlugIn is required for these formats, see above for download.


PlugIns

Please use always the current IrfanView and PlugIn version.

How to install IrfanView PlugIns?

1. Visit IrfanView's homepage: http://www.irfanview.com (or a mirror site).
2. Go to 'PlugIns' section.
3. Download PlugIns.
4. Click on the PlugIn file.
5. PlugIns will be installed into IrfanView 'PlugIns' directory.

Download:

You can download all PlugIns from this site:

http://www.irfanview.com/plugins.htm

Please read also the file "i_plugins.txt" (IrfanView folder) for additional informations about the PlugIns.

Available PlugIns:

- 8BF_FILTERS: allows IrfanView to load Adobe Photoshop 8BF filters.
Note: This PlugIn may require additional system DLLs (check "i_plugins.txt" for details).

- ANSI2UNICODE: allows IrfanView to read filenames with Unicode characters.

- AWD: allows IrfanView to read Artweaver files.

- B3D: allows IrfanView to read BodyPaint 3D files.

- BURNING: allows IrfanView to burn slideshow to a CD.

Windows XP or later required, Nero option can burn Data DVD and VCD.

- CRW: allows IrfanView to read Canon CRW/CR2 files (high resolution image version).
Note: This PlugIn requires additional Canon DLLs (check "i_plugins.txt" for details).

- CADIMAGE: allows IrfanView to read CAD files (DXF, DWG, HPGL, CGM, SVG). Shareware, third party PlugIn.
Note: Check "i_plugins.txt" for details and newest version link.

- DICOM: allows IrfanView to read Dicom medical files (DCM, ACR, IMA).

- DJVU: allows IrfanView to read AT&T DJVU files.

- EA_FSH: allows IrfanView to read/write EA Sports FSH files.

- ECW: allows IrfanView to read/write ECW files.

- EFFECTS: contains image effects.

- EMAIL: allows IrfanView to send images as EMails.

- EXIF: allows IrfanView to show EXIF information from JPG files.

- EXR: allows IrfanView to read EXR files.

- Filter Factory: allows IrfanView to use Filter Factory 8BF files (Photoshop PlugIns for Filter Factory).

- FLASH: allows IrfanView to read Macromedia Flash/Shockwave files.

- FORMATS: allows IrfanView to read some rare image formats.
Current formats: PSP, IFF/LBM, G3, RAS/SUN, Bio-RAD, Mosaic, XBM, XPM, GEM-IMG, WBMP, SGI, RLE, TTF, RAW, CRW, CR2, DNG, NEF, ORF, RAF, MAG, MRW, ERF, DCR, SRF, ARW, PEF, EFF, X3F, DDS, CAM, SFW, WAD, WAL, PIC, FITS, HDR, PVR, SIF

- FPX: allows IrfanView to read FlashPix files.

- Filters Unlimited: allows IrfanView to use Filters Unlimited files (Photoshop PlugIns).

Check "FUnlimited_Readme.txt" for details.

- FTP: allows IrfanView transfer files from Thumbnails window using FTP.

- HDP: allows IrfanView to read HDP/WDP files (Microsoft HD Photo).

- ICONS: additional icons for IrfanView file associations.

- ICS: allows IrfanView to read ICS/IDS files.

- IMPDF: allows IrfanView to save PDF files.

- IPTC: allows IrfanView to show/edit IPTC and Comment information from JPG files.

- IV_Player: allows IrfanView to play video/sound/audio-cd files.
Current formats: AVI, MPG, WAV, MIDI, CDA, WMA, ASF, AIF, SND, WMA/WMV, etc.

- JPEG2000: allows IrfanView to read/write JPEG 2000 files.

- JPEG_LS: allows IrfanView to read/write JLS files (JPEG-LS, JPEG Lossless).

- JPG Transformation: allows IrfanView to support lossless JPG transformations.

- JPM: allows IrfanView to read/write JPM files.

- KDC: allows IrfanView to read Kodak Digital Camera files.

- LCMS: allows IrfanView to use embedded color profiles in JPG/TIF files.

- LOGOMANAGER: allows IrfanView to read Nokia Logo files: NLM/NOL/NGG/NSL/OTB/GSM.

- MED: allows IrfanView to play MED/OctaMED audio files.

- MNG: allows IrfanView to read/play MNG/JNG files.

- MP3: allows IrfanView to play MP3/MP2/MP1 files.

- MPG: allows IrfanView to extract frames from MPEG files.

- MRC: allows IrfanView to read MRC files.

- MrSID: allows IrfanView to read LizardTech's SID files.

- NERO: allows IrfanView to burn slideshow to data or Video CD, using Nero Burning ROM software.

Check http://www.nero.com for download.

- OCR_KADMOS: adds OCR features to IrfanView.

Check http://www.irfanview.info/plugins/kadmos/ for download.

- PAINT: allows IrfanView to paint lines, circles, arrows, straighten image etc.

- PhotoCD: allows IrfanView to read Kodak Photo CD files.

- PNGOUT: allows optimized PNG saving.

- POSTSCRIPT: allows IrfanView to read PS/EPS/PDF/AI files.

Note: Ghostscript is required: http://sourceforge.net/projects/ghostscript/

- QuickTime: allows IrfanView to play Apple QuickTime movies. (MOV, FLI/FLC)

- RA_Player: allows IrfanView to play RealAudio RA files.

- REGIONCAPTURE: allows IrfanView to capture a rectangle area of the screen.

- RIOT: allows IrfanView to save optimized JPG/GIF/PNG files.

- SFF: allows IrfanView to read SFF (Structured Fax) files.

- Slideshow: allows IrfanView to create presentations in EXE or SCR format (stand-alone executable/screen saver).

- SoundPlayer: allows IrfanView to play OGG audio files (Ogg Vorbis).

- VIDEO: allows IrfanView to play many video/sound formats.

- VTF: allows IrfanView to read VTF (Valve Texture) files.

- WBZ: allows IrfanView to read WebShots (WBZ/WBC/WB1) files.

- WSQ: allows IrfanView to read WSQ (Wavelet Scaler Quantization) files.


Hotkeys

Available keyboard shortcuts in IrfanView:

Key: Function:

+ Zoom In
= Zoom In
– Zoom Out
é Scroll image up
ê Scroll image down
è Scroll image right OR next image in directory (if no selection rectangle)
ç Scroll image left OR previous image in directory (if no selection rectangle)
Arrows If no scrollbars visible: Move selection rectangle
Page Up Load previous file in directory OR scroll image up
Page Down Load next file in directory OR scroll image down
CTRL + Page Up Show previous page in a multipage image OR load previous file in directory
CTRL + Page Down Show next page in a multipage image OR load next file in directory
Space Load next file in directory
Backspace Load previous file in directory
CTRL + Arrow Proportional resize of the selection rectangle
SHIFT + Arrow Move selection rectangle
ALT + Arrow Change width/height of the selection rectangle

Browsing mode If CTRL pressed: increase or decrease file index by 5 (default: 1 = next/previous file), used for Space, Backspace, è,ç, etc.

If CTRL + Number (0 - 9) pressed, increase file index by Number (0 = 10, 1 = 1 etc.)

If CTRL + SHIFT + Number (0 - 9) pressed, decrease file index by Number (0 = 10, 1 = 1 etc.)

ESC Close actual window (main window, slideshow, full screen, thumbnails or a dialog)
Enter Switch between Fullscreen and Window mode
TAB Switch between main and thumbnail window (if visible)
CTRL + TAB Control switch in the thumbnail window
Pause/Break Pause an automatic slideshow. Press any other key again to resume the slideshow.
DEL Delete file
INSERT Paste image from clipboard
Home Scroll to begin (horizontal scroll) OR load first file in directory
CTRL + Home Load first file in the directory
SHIFT + Home Load first page in a multipage file
End Scroll to end (horizontal scroll) OR load last file in directory
CTRL + End Load last file in the directory
SHIFT + End Load last page in a multipage file
F1 Help
F2 or F6 Rename file
F3 Show image in HEX viewer
F4 Append current file to current slideshow
F5 or U Refresh (display and directory list)
SHIFT + F5 Refresh + force resample (if Resample activated in View->Display options)
F7 Move file
F8 Copy file
F9 Start OCR PlugIn (on full image or selection rectangle)
F10 Open page preview dialog for Multipage files
F11 Show/hide mouse in Fullscreen/Slideshow mode
F12 Show Paint dialog

A "About IrfanView" dialog
B Batch Conversion/Rename
C Capture dialog
D Edit -> Delete
E Show EXIF dialog for JPGs with available EXIF data
F Switch (toggle) between 'Fit images to desktop' and 'Fit window to image'
G Stop GIF or ANI animation
H Horizontal flip
I Show image information
K Filter Factory dialog
L Rotate left
M Minimize IrfanView window - Boss key ;-)
N Toggle fullscreen/slideshow text display
O Open dialog
P Properties dialog
R Rotate right
S "Save as" dialog
T Thumbnails
V Vertical flip
W Slideshow dialog
X Browsing (window or fullscreen mode): tag current file

CTRL + A Select/Unselect whole image or Select all thumbnails (if thumbnail window active)
CTRL + B Open "Browse-Subfolders" dialog
CTRL + C Copy image to clipboard
CTRL + D Image -> Add Border/frame
CTRL + E Effects setup
CTRL + F Search files
CTRL + G Create grayscale image
CTRL + H Original size (no zoom)
CTRL + I Show IPTC dialog for JPGs
CTRL + J Edit -> Redo
CTRL + K Adobe 8BF filters dialog
CTRL + M Open random image from the directory
CTRL + N Open current file in another IrfanView window
CTRL + P Print dialog
CTRL + Q Edit multipage TIF
CTRL + R Resample dialog
CTRL + S Save dialog
CTRL + T Edit -> Insert text into selection
CTRL + U Image -> Fine/Custom Rotation
CTRL + V Paste image from clipboard
CTRL + W Start slideshow with current directory files
CTRL + X Cut selection rectangle
CTRL + Y Crop selection rectangle
CTRL + Z Edit -> Undo
CTRL + number Browsing (window or fullscreen) mode: increase file index by number (0-9)
CTRL + Print Start capturing/screenshot in custom rectangle/region mode

SHIFT + A Start/stop automatic viewing (slideshow in window)
SHIFT + C Edit -> Create custom selection
SHIFT + E Open in external viewer/editor
SHIFT + F Fit only big images to desktop
SHIFT + G Enhance colors
SHIFT + J JPG lossless operations
SHIFT + L Lock/unlock zoom (also in full screen mode)
SHIFT + M Send image by email
SHIFT + N Create new image
SHIFT + O Fit window to image (1:1 display)
SHIFT + P Copy current filename to clipboard
SHIFT + Q Browsing (window or fullscreen mode): show tagged files in Thumbnails window
SHIFT + R Reopen file
SHIFT + S Sharpen
SHIFT + T Jump into the toolbar edit field
SHIFT + U Auto color correction
SHIFT + V Add canvas (Change canvas size)
SHIFT + W Fit images to window
SHIFT + X Browsing (window or fullscreen mode): un-tag current file
SHIFT + Y Red eye reduction

Alt + SHIFT + S Show/hide status bar
Alt + SHIFT + T Show/hide toolbar
Alt + SHIFT + M Show/hide menu bar
Alt + SHIFT + C Show/hide caption

CTRL + SHIFT + A Acquire/Batch Scanning
CTRL + SHIFT + J Lossless JPG crop
CTRL + SHIFT + M Show Comment dialog for JPGs
CTRL + SHIFT + L Lossless JPG rotation - to Left
CTRL + SHIFT + R Lossless JPG rotation - to Right
CTRL + SHIFT + C Set as wallpaper - centered
CTRL + SHIFT + T Set as wallpaper - tiled
CTRL + SHIFT + S Set as wallpaper - stretched
CTRL + SHIFT + P Set as wallpaper - previous wallpaper
CTRL + SHIFT + W Stretch images over all monitors (toggle)
CTRL + SHIFT + X Set as wallpaper - stretched - proportional
CTRL + SHIFT + Y Auto crop borders
CTRL + SHIFT + number Browsing (window or fullscreen) mode: decrease file index by number (0-9)

CTRL + ALT + P Print image, hide print dialog (direct print)

1 Full screen mode: Show images/movies with the original size (1:1)
2 Full screen mode: Fit to screen: large images only
3 Full screen mode: Fit to screen: all images/movies
4 Full screen mode: Stretch all images/movies to screen
5 Full screen mode: Fit image width to screen width
6 Full screen mode: Fit image height to screen height

Numpad 5 Scroll image to center

Available selection rectangle shortcuts in IrfanView:

Left button click/hold/move Draw selection
CTRL + Left button click/hold/move Draw proportional selection with the ratio from "Create Custom selection" dialog
Left button click Zoom into selection
Right button click/hold/move Move selection
Arrows Move selection (if no scrollbars visible)
SHIFT + arrows Move selection
CTRL + arrows Proportional resize of the selection
ALT + arrows Change width/height of the selection

Available mouse shortcuts in IrfanView:

Normal mode:

Left button click/hold Show the mouse coordinates and pixel color in the window title (or zoom into selection)
SHIFT + Left button click/hold Show coordinates and pixel color + copy Hex color value to clipboard
Left button click + drag Make a selection rectangle
CTRL + Left button click + drag Resize the selection rectangle using the actual rectangle aspect ratio
Right button click Scroll image or show context menu (if activated).
CTRL + Right button click + drag Scroll image in direction of drag even if the context menu is activated.
Right button click + drag Scroll image in direction of drag. If within the selection, move the selection rectangle.
Left button double click Switch to full screen mode

Wheel up Load previous file in directory OR scroll image up
Wheel down Load next file in directory OR scroll image down
CTRL + Wheel up Zoom in
CTRL + Wheel down Zoom out
SHIFT + Wheel Scroll image horizontally

Full screen or Slideshow mode:

Left button click Load previous image in the directory
Right button click Load next image in the directory
Left button click ... in the upper left or right screen corner = close full screen.
F Change/loop the full screen display/fit option
è Load next image in directory
ç Load previous image in directory
F11 Show/hide mouse

Video playbar (DirectShow mode) hotkeys in Full screen/Slideshow mode:

B Hide/show playbar
Y Hide/show file name in the playbar
Left/right arrow Skip 10% of the video length
CTRL + Left/right arrow Skip 5% of the video length
SHIFT + Left/right arrow Skip 1% of the video length
Mouse move At the bottom of the video: Hide/show playbar

EXE Slideshow:

E Extract all files from EXE slideshow
T or N Show/hide image text
F Change/loop the full screen display/fit option
F1 Show help infos
F11 Show/hide mouse


Command Line Options

See the file "i_options.txt" (IrfanView folder) for the most recent version on all command line options.

Command line options allow you to set some functions of IrfanView before the viewer is launched.

These command line options are supported in IrfanView:

/one - force 'Only one instance'
/fs - force Full Screen display
/bf - force 'Fit images to desktop' display option
/title=text - set window title to 'text'
/pos=(x,y) - move the window to x,y
/convert=filename - convert input file to 'filename' and CLOSE IrfanView

(see Pattern page for additional filename options)

/slideshow=txtfile - play slideshow with the files from 'txtfile'
/slideshow=folder - play slideshow with the files from 'folder'
/reloadonloop - reload input source used in /slideshow when list finished
/filelist=txtfile - use filenames from "txtfile" as input, see examples below
/thumbs - force thumbnails
/killmesoftly - close all IrfanView instances
/closeslideshow - close slideshow and close IrfanView after the last image
/page=X - open page number X from a multipage input image
/crop=(x,y,w,h) - crop input image: x-start, y-start, width, height
/print - print input image to default printer and close IrfanView
/print="Name" - print input image to specific printer and close IrfanView
/resize=(w,h) - resize input image to w (width) and h (height)
/resize_long=X - resize input image: set long side to X
/resize_short=X - resize input image: set short side to X
/resample - for resize: use Resample option (better quality)
/capture=X - capture the screen or window (see examples below)
/ini - use the Windows folder for INI/LST files (read/save)
/ini="Folder" - use the folder "Folder" for INI/LST files (read/save)
/clippaste - paste image from the clipboard
/clipcopy - copy image to the clipboard
/silent - don't show error messages for command line read/save errors
/invert - invert the input image (negative)
/dpi=(x,y) - change DPI values, set DPIs for scanning
/scan - acquire the image from the TWAIN device - show TWAIN dialog
/scanhidden - acquire the image from the TWAIN device - hide TWAIN dialog
/batchscan=(options) - simulate menu: File->Batch Scanning, see examples below
/bpp=BitsPerPixel - change color depth of the input image to BitsPerPixel
/swap_bw - swap black and white color
/gray - convert input image to grayscale
/rotate_r - rotate input image to right
/rotate_l - rotate input image to left
/hflip - horizontal flip
/vflip - vertical flip
/filepattern="x" - browse only specific files
/sharpen=X - open image and apply the sharpen filter value X
/effect=(X,p1,p2) - apply effect filter X, see below for examples
/contrast=X - open image and apply the contrast value X
/bright=X - open image and apply the brighntess value X
/gamma=X - open image and apply the gamma correction value X
/advancedbatch - apply Advanced Batch Dialog options to image (from INI file)
/hide=X - hide toolbar, status bar, menu and/or caption of the main window (see examples below)
/transpcolor=(r,g,b) - set transparent color if saving as GIF/PNG/ICO
/aspectratio - used for /resize and /resample, keep image proportions
/info=txtfile - write image infos to "txtfile"
/fullinfo - used for /info, write EXIF, IPTC and Comment data
/append=tiffile - append image as (TIF) page to "tiffile"
/multitif=(tif,files) - create multipage TIF from input files
/panorama=(X,files) - create panorama image from input files; X = direction (1 or 2)
/jpgq=X - set JPG save quality
/tifc=X - set TIF save compression
/wall=X - set image as wallpaper; see below for /random and examples
/extract=(folder,ext) - extract all pages from a multipage file
/import_pal=palfile - import and apply a special palette to the image (PAL format)
/export_pal=palfile - export image palette to file (PAL format)
/jpg_rotate=(options) - JPG lossless rotation, see examples below
/monitor=X - start EXE-Slideshow on monitor X
/window=(x,y,w,h) - set EXE-Slideshow window position and size

Notes:

- Only lower case options are supported (don't type any UPPERCASE letters) !

- Input file name (if required) is always the first parameter!

- Use "" for file names with spaces, example: "c:\images\dummy test file.jpg".

- Write always the FULL paths for file names (incl. drive letter).

- You can combine several options in one command.

- Wildcards (*) supported only for /convert, /print, /info and /jpg_rotate.

- Maximal command line length is limited by Windows, so use shorter names/paths.

- Most settings are loaded from the INI file. Using prepared INIs and /ini=folder option, you can extend the possibilities.

- IrfanView exit code is 0. If /convert or /print is used, there is 1 or 2 also possible, for load/save errors.

Example for conversion:

i_view32.exe c:\test.bmp /convert=c:\test.jpg

Convert file: 'c:\test.bmp' to 'c:\test.jpg' without GUI.

i_view32.exe c:\*.jpg /convert=d:\temp\*.gif

i_view32.exe c:\*.jpg /resize=(500,300) /convert=d:\temp\*.png

i_view32.exe c:\*.jpg /resize=(500,300) /aspectratio /resample /convert=d:\temp\*.png

i_view32.exe /filelist=c:\mypics.txt /resize=(500,300) /aspectratio /resample /convert=d:\temp\*.png

i_view32.exe c:\test.bmp /convert=c:\test_$Wx$H.jpg

i_view32.exe c:\test.bmp /resize=(100,100) /resample /aspectratio /convert=d:\$N_thumb.jpg

i_view32.exe c:\test.bmp aspectratio /convert=d:\temp\$T(%Y%m%d)\test_$Wx$H.jpg

i_view32.exe c:\test.bmp /convert=$D$N.jpg

i_view32.exe c:\*.bmp /convert=$D$N.jpg

i_view32.exe c:\*.jpg /advancedbatch /convert=c:\temp\*.jpg

i_view32.exe c:\test.bmp /transpcolor=(255,255,255) /convert=c:\giftest.gif

(Note: Supported are all IrfanView read/save formats except audio/video.)

Example for slideshow:

i_view32.exe /slideshow=c:\mypics.txt

(Note: The file 'c:\mypics.txt' contains, in each line, a name of an image, including the full path OR path relative to "i_view32.exe".)

i_view32.exe /slideshow=c:\mypics.txt /reloadonloop

i_view32.exe /slideshow=c:\images\

i_view32.exe /slideshow=c:\images\ /reloadonloop

i_view32.exe /slideshow=c:\images\*.jpg

i_view32.exe /slideshow=c:\images\test*.jpg

You have to close IrfanView after the last image from the TXT file, if not /closeslideshow is used.

Example for /closeslideshow:

i_view32.exe /slideshow=c:\mypics.txt /closeslideshow

IrfanView will be closed after the last image from 'c:\mypics.txt'.

Example for thumbnails:

i_view32.exe c:\test\image1.jpg /thumbs

Open 'image1.jpg' and display thumbnails from directory 'c:\test'.

i_view32.exe c:\test\ /thumbs

Display thumbnails from directory 'c:\test'.

i_view32.exe /filelist=c:\mypics.txt /thumbs

Load filenames from TXT file and display as thumbnails.

Example for filelist:

i_view32.exe /filelist=c:\mypics.txt

i_view32.exe /filelist=c:\mypics.txt /convert=d:\test\*.jpg

i_view32.exe /filelist=c:\mypics.txt /thumbs

Example for close:

i_view32.exe /killmesoftly

Close IrfanView and terminate all instances.

Example for /page:

i_view32.exe c:\test.tif /page=3

Open page number 3 from the multipage image 'c:\test.tif'.

Example for /crop:

i_view32.exe c:\test.jpg /crop=(10,10,300,300)

i_view32.exe c:\test.jpg /crop=(10,10,300,300) /convert=c:\giftest.gif

Open 'c:\test.jpg' and crop: x-start=10, y-start=10, width=300, height=300 (in pixels).

Example for /print:

i_view32.exe c:\test.jpg /print

Open 'c:\test.jpg', print the image to default printer and close IrfanView.

i_view32.exe c:\test.jpg /print="Printer Name"

Open 'c:\test.jpg', print the image to specific printer and close IrfanView.

i_view32.exe c:\*.jpg /print

Print all JPGs from "C:\" and close IrfanView.

Note: The actual settings from the INI file are used.

Example for /resize:

i_view32.exe c:\test.jpg /resize=(300,300) /resample

Open 'c:\test.jpg' and resample: width=300, height=300.

(Note: Resample uses the active resample filter from the INI file.)

i_view32.exe c:\test.jpg /resize=(300,300) /aspectratio

Open 'c:\test.jpg' and resize: width= max. 300, height= max. 300, proportional.

i_view32.exe c:\test.jpg /resize_long=300 /aspectratio /resample

Open 'c:\test.jpg' and resample: long side=300, short side=proportional.

i_view32.exe c:\test.jpg /resize=(300,0)

Open 'c:\test.jpg' and resize: width=300, height=original.

i_view32.exe c:\test.jpg /resize=(300,0) /aspectratio

Open 'c:\test.jpg' and resize: width=300, height=proportional.

i_view32.exe c:\test.jpg /resize=(150p,150p)

Open 'c:\test.jpg' and resize: width=150%, height=150%.

Example for /capture:

i_view32.exe /capture=0

Capture the whole screen.

i_view32.exe /capture=6

Start in Capture mode, use last used capture dialog settings.

capture values:

0 = whole screen

1 = current monitor, where mouse is located

2 = foreground window

3 = foreground window - client area

4 = rectangle selection

5 = object selected with the mouse

6 = start in capture mode (can't be combined with other commandline options)

Advanced examples:

i_view32.exe /capture=2 /convert=c:\test.jpg

Capture foreground window and save result as file.

i_view32.exe /capture=2 /convert=c:\capture_$U(%d%m%Y_%H%M%S).jpg

Capture foreground window and save result as file; the file name contains time stamp.

Example for /ini:

i_view32.exe /ini

i_view32.exe c:\test.jpg /ini

i_view32.exe c:\test.jpg /ini="c:\temp\"

Example for /clippaste:

i_view32.exe /clippaste

i_view32.exe /clippaste /convert=c:\test.gif

Example for /clipcopy:

i_view32.exe c:\test.jpg /clipcopy

i_view32.exe c:\test.jpg /clipcopy /killmesoftly

Example for /invert:

i_view32.exe c:\test.jpg /invert

Example for /dpi:

i_view32.exe c:\test.jpg /dpi=(72,72)

Example for /scan:

With the scan command, you can only combine: /print, /dpi, /gray and /convert.

i_view32.exe /scan

i_view32.exe /scanhidden

i_view32.exe /scanhidden /dpi=(150,150)

i_view32.exe /scan /convert=c:\test.gif

i_view32.exe /scanhidden /gray /convert=c:\test.gif

i_view32.exe /print /scan

Example for /batchscan=(options):

options = all 8 options from the batch scanning dialog:

filename, index, increment, digits, skip, dest-folder, save-extension, multi-tif

i_view32.exe /batchscan=(scanfile,1,1,2,1,c:\temp,bmp,0)

i_view32.exe /batchscan=(scanfile,1,1,2,1,c:\temp,bmp,0) /dpi=(150,150)

i_view32.exe /batchscan=(scanfile,1,1,2,0,c:\temp,tif,1)

i_view32.exe /batchscan=("crazy, filename",1,1,2,0,"c:\temp\crazy, (folder)",tif,1)

i_view32.exe /batchscan=(scanfile,1,1,2,1,c:\temp,bmp,0) /scanhidden

Example for /bpp:

i_view32.exe c:\test.jpg /bpp=8

Open 'c:\test.jpg' and reduce to 256 colors. Supported BPP-values: 1, 4, 8 and 24 (decrease/increase color depth).

Example for /filepattern:

i_view32.exe c:\images\ /filepattern="*.jpg"

Go to folder "'c:\images" and load JPGs only in the browse/file list.

i_view32.exe c:\images\ /thumbs /filepattern="*.jpg"

Go to folder "'c:\images" and show JPG thumbnails only.

i_view32.exe c:\images\ /thumbs /filepattern="123*.jpg"

Go to folder "'c:\images" and show JPG with names "123*" as thumbnails.

Example for /effect=(effect-nr,param1,param2)::

i_view32.exe c:\test.jpg /effect=(6,3,0)

Apply Median filter, parameter = 3.

i_view32.exe c:\test.jpg /effect=(2,3,50)

Apply Blur-2 filter, parameter1 = 3, parameter2 = 50.

effect-nr values: (from Effect-Browser dialog):

1 = Blur

2 = Blur-2

...

37 = Metallic Ice

Example for /sharpen:

i_view32.exe c:\test.jpg /sharpen=33

Example for /hide:

Values (can be combined (add values)):

Toolbar 1
Status bar 2
Menu bar 4
Caption 8

i_view32.exe c:\test.jpg /hide=1

Open 'c:\test.jpg', hide toolbar only.

i_view32.exe c:\test.jpg /hide=3

Open 'c:\test.jpg', hide toolbar and status bar.

i_view32.exe c:\test.jpg /hide=12

Open 'c:\test.jpg', hide caption and menu bar.

i_view32.exe c:\test.jpg /hide=15

Open 'c:\test.jpg', hide all.

Example for /info:

i_view32.exe c:\test.jpg /info=c:\test.txt

i_view32.exe c:\test.jpg /info=c:\jpgs.txt /fullinfo

i_view32.exe c:\*.jpg /info=c:\jpgs.txt

Example for /append:

i_view32.exe c:\test.jpg /append=c:\test.tif

Open 'c:\test.jpg ' and append it as page to 'c:\test.tif'.

Example for /multitif:

Syntax: /multitif=(tifname,file1,...,fileN)

First file is the name of the result TIF file.

i_view32.exe /multitif=(c:\test.tif,c:\test1.bmp,c:\dummy.jpg)

Create multipage TIF ('c:\test.tif') from 2 other images.

Example for /panorama:

Syntax: /panorama=(X,file1,...,fileN)

First parameter (X) is the direction: 1 = horizontal, 2 = vertical.

i_view32.exe /panorama=(1,c:\test1.bmp,c:\dummy.jpg)

Create horizontal panorama image from 2 other files.

Example for /jpgq:

i_view32.exe c:\test.jpg /jpgq=75 /convert=c:\new.jpg

Open 'c:\test.jpg' and save it as 'c:\new.jpg', quality = 75. Quality range: 1 - 100.

Example for /tifc:

i_view32.exe c:\test.jpg /tifc=4 /convert=c:\new.tif

Open 'c:\test.jpg' and save it as 'c:\new.tif', compression = Fax4.

Compressions: 0 = None, 1 = LZW, 2 = Packbits, 3 = Fax3, 4 = Fax4, 5 = Huffman, 6 = JPG, 7 = ZIP.

Example for /wall:

i_view32.exe c:\test.jpg /wall=0

Open 'c:\test.jpg' and set is as wallpaper (centered).

wall values: 0 (centered), 1 (tiled), 2 (stretched), 3 (stretched-proportional)

i_view32.exe c:\images\*.jpg /random /wall=0 /killmesoftly

i_view32.exe /filelist=c:\mypics.txt /random /wall=0 /killmesoftly

Get random file from the folder/list and set as wallpaper.

Example for /extract:

i_view32.exe c:\multipage.tif /extract=(c:\temp,jpg)

Open 'c:\multipage.tif' and save all pages to folder 'c:\temp' as single JPGs.

Example for EXE slideshow:

MySlideshow.exe /monitor=2

=> start standalone slideshow on monitor 2.

MySlideshow.exe /window=(0,0,800,600)

=> start standalone slideshow in top left corner, window size 800x600.

Example for /advancedbatch:

i_view32.exe c:\test.jpg /advancedbatch /convert=c:\image.jpg

(some Misc. Advanced Batch options are not supported: overwrite, delete, subfolders, all pages)

Open c:\test.jpg', apply Advanced Batch options from the INI file and save as new file.

Example for /jpg_rotate=(options):

options = all 8 options from the JPG lossless dialog:

transformation, optimize, EXIF date, current date, set DPI, DPI value, marker option, custom markers

Note: this option will overwrite the original file(s)!

Values:

Transformation : None (0), Vertical (1) ... Auto rotate (6)
Optimize : 0 or 1
Set EXIF date : 0 or 1
Keep current date : 0 or 1
Set DPI : 0 or 1
DPI value : number
Marker option : Keep all (0), Clean all (1), Custom (2)

Custom markers values (can be combined (add values)):

Keep Comment 1

Keep EXIF 2

Keep IPTC 4

Keep others 8

i_view32.exe c:\test.jpg /jpg_rotate=(6,1,1,0,1,300,0,0)

=> Auto rotate, optimize, set EXIF date as file date, set DPI to 300, keep all markers

i_view32.exe c:\test.jpg /jpg_rotate=(6,1,1,0,0,0,2,6)

=> Auto rotate, optimize, set EXIF date as file date, keep EXIF and IPTC markers

i_view32.exe c:\test.jpg /jpg_rotate=(3,1,0,1,0,0,1,0)

=> Rotate 90, optimize, use current file date, clean all markers

i_view32.exe c:\images\*.jpg /jpg_rotate=(6,1,1,0,0,0,0,0)

=> For all JPGs: Auto rotate, optimize, set EXIF date as file date, keep all markers


Toolbar

The toolbar allows quick access to some of the most useful features of IrfanView.

Turn the toolbar on by using the View Menu and selecting the Show/hide toolbar option. Turn the bar off by again clicking on View and Show/hide toolbar. There is an image of the toolbar here.

In the Properties->Toolbar dialog, you can choose different skins (button designs) or add/remove toolbar buttons.

More toolbar skins are available on the IrfanView homepage.


Open

Click on the File Menu, then Open (or use the Open tool on the toolbar). A dialog allows you to open a file for use in IrfanView.

Use the Look in box to locate the file you want, or type a file name into File Name. Files of type lets you limit your choice, showing only the type of file you want (for instance JPG). The default is Common Graphic Files. (Note: Windows can't display at same time all file types supported by IrfanView in one line of the list.)

If you check Preview active, a single click on an image filename will display a small version. Another click brings the file into the viewer. You can also double click the filename.

To close without opening a file, click Cancel. Another way to close is to click the X in the upper right corner.

After the opening, you will see an image or you will get an error message, if the file type is unsupported by IrfanView.

If you open a large image, you can use scrollbars to see all parts of the image. Scrolling is possible with the arrow keys and with the page up/down, home/end keys. Scrolling is also possible with the right mouse button: press the right mouse button and move the mouse arround.


Reopen

Click on the File Menu, select Reopen to bring in, again, the last (actual) file you opened.


Open with external editor

Click on the File Menu, then Open with external editor. Your chosen other editor will be launched, with the image loaded into it (e.g. Adobe Photoshop, Paint Shop Pro, etc.).

To use this option, you must first select an external editor.


Open as

Click on the File Menu, then Open as.

As HEX file: You can open any file and display it in the HEX viewer window.

You can see all bytes in HEX and ASCII mode of the opened file. (for advanced users)

As ASCII file: You can open any ASCII file (TXT, HTM, INI etc.) and display it as image.

As RAW file: You can open any file and try to load it as RAW image. (for advanced users, using Formats/RAW PlugIn)


Thumbnails

Open an image from a selected directory in the viewer. Click the File Menu, then Thumbnails. A box will open and fill with thumbnails of the images in the directory.

On the left side is a tree view with drives and directories.

Double click any thumbnail to open that image in the viewer. If you change directories by opening another image, the thumbnail display will show those images.

To close the display, click Exit on the display's menu bar or press ESC.

File:

Move selected files allows you to move all selected thumbs (files) to another directory.

Copy selected files allows you to copy all selected thumbs (files) to another directory.

Delete selected files allows you to delete all selected thumbs (files).

Start slideshow with selected thumbs: Click to start slideshow with all selected thumbs (files) and current slideshow settings. Note: The actual/global slideshow (slideshow.lst file) is not changed.

Save selected thumbs as current slideshow: Click to save the selected thumbs as the actual/global slideshow (slideshow.lst file).

Append selected thumbs to current slideshow: Click to append the selected thumbs to the global slideshow.

Start batch dialog with selected thumbs: Click to start the batch dialog with all selected thumbs (files).

Transfer selected files by FTP: Click to start the FTP dialog with all selected thumbs (files).

Save selected file names as TXT: Click to save the selected filenames in a TXT file.

JPG Lossless Operations: Click to start the JPG lossless transformations dialog with all selected thumbs (files) and transform all JPG files. You can rotate, flip, crop, optimize, clean or set JPG comment or IPTC info for all selected JPG files.

Note: JPG lossless transformation is only available, if the JPG_Transform PlugIn is installed. For viewing/editing the IPTC info and JPG comment, the IPTC PlugIn is required.

Create contact sheet from selected thumbs: allows you to create a large image (contact sheet or catalog) with all selected thumbs (files). A dialog appears and you can choose the options for the result image.

Note: The Sheet image is created in the memory. On 32-bit Windows versions you will get a sheet size limit for about 6000x5500 pixels.

On 64-bit Windows versions, the limit is much higher, you can create sheets with e.g. 25000x25000 pixels.

Start Panorama dialog with selected files: Click to start the Panorama dialog with all selected thumbs (files).

Save selected thumbs as an image: Click to have your selected thumbs made into a single image and saved. A dialog lets you choose the directory to save the image in. Images are selected by clicking on each thumb while holding down the CTRL key, or by using the Select all option (see below).

Save selected thumbs as single images: Click to have chosen thumbs made into images and saved individually. A dialog lets you choose the directory to save them in. Images are selected by clicking on each thumb while holding down the CTRL key, or by using the Select all option (see below).

Save selected thumbs as HTML file: Click to make a page of thumbs that can be used in a web browser or at an internet website. A dialog lets you choose some HTML options and the directory to save the file in. Images are selected by clicking on each thumb, while holding down the CTRL key, or by using the Select all option (see below). Check this help page for infos and examples about the HTML placeholders.

The default HTML template files are located in the IrfanView "HTML" subfolder. They can be edited and changed: you can remove unwanted lines or variables or add your own code like CSS styles, etc. You can also prepare several folders with different templates, for different purposes.

Print selected files as single images: Click to print all selected images (batch printing). Images are selected by clicking on each thumb while holding down the CTRL key, or by using the Select all option (see below).

Send selected files by EMail: Click to send all selected images by EMail (english PlugIn EMail required). Images are selected by clicking on each thumb, while holding down the CTRL key, or by using the Select all option (see below).

Open with external editor: Click to open an alternate viewing or editing program with the image connected to the current displayed thumbnail. To use this option, you must first set up an external editor.

Options:

Save current size/postion will save the actual size/position of the thumbnail window. You can resize/move the thumbnail window manually with mouse.

Select all highlights all the thumbs for saving them as files (see above).

Set thumbnail options lets you control the size and quality of the thumbnails. Click it to open a dialog box.

The first option is Use Resample instead of Resize for creating thumbnails. Click the check-box to have better quality thumbnails displayed. This may take longer for the images to appear. The next option is Thumbnail size. Click on the size-box to set a size for the thumbnails. The default is 100 x 100 pixels.

On the options for the thumbnail display you can also set the border/background color options for thumbnails and the background color for the thumbnail window. And you can disable the display of a warning, if the screen is actually not configured for 24 bits per pixel (true color).

You can Set the number of the MRUDs (most recently used directories) for the thumbnail view. If you want to clear the MRUD list, press the Clear MRUDs button.

The info text showed if you move the mouse over a thumbnail can be disabled or configured. Check this page for more infos about text possibilities.

With option Show common shell folders you can set, if also special personal folders like desktop, my pictures, etc. should be displayed above the drives in the directory tree view. After modifying this option, the thumbnail window have to be refreshed to see the modification.

Use full file path for sorting (if subfolders loaded) lets you control which file parts are used for sorting if sub folders are loaded. Either full name (incl.path) or short name (name + extension only). Short name helps you to find duplicate file names.

When done making your choices, click OK to save and exit. Click Cancel to exit without making any changes.

Sort thumbnails allows you to sort the files/thumbnails in the current folder.

Note: In the thumbnail mode, you have more sort options than in the normal/window mode, like Sort by EXIF Date or by Image width/height. These sort options are not saved, they are available only during the thumbnail window lifetime.

Note: you can also sort thumbnails manually, using drag & drop. You can select one or many thumbnails and move them to another location in the thumbnails list.

Load file list from TXT file lets you import a custom file/thumbnail list.

Load thumbs from all subfolders will scan all subfolders of the current folder and display the thumbnails.

View:

Directory tree will hide/show the directory tree on the left side of thumbnail window.

Most recently used directories will hide/show the box with last used directories on the top side of thumbnail window.

Remove selected thumbs from list will remove the thumbnails from the thumbnail list (NO file delete, display only).

Refresh reloads the directory tree and all images in the directory and refreshes all thumbnails.

Hint: You can copy/move files/thumbnails to the folders in the directory tree using the mouse. Hold the SHIFT key to move files, as in Windows Explorer.


HTML export

Thumbnails - HTML export

The "HTML" subfolder in your IrfanView installation contains 3 template HTML files.

Template 1: thumbnails.html (or thumbnails.htm, thumbnails.php, thumbnails.asp => you can use one of these extensions)

Template 2: frame.html (or frame.htm, frame.php, frame.asp => you can use one of these extensions)

Template 3: slideshow.html

The templates can be edited and changed: you can remove unwanted lines or placeholder/variables or add your own code like CSS styles, etc. You can also prepare several folders with different templates, for different purposes.

Each template file contains several placeholders/variables about the image/thumbnail infos. IrfanView will replace each appearance of a known placeholder with the predefined data.

The following example shows how the templates and placeholders are used:

Placeholder Result

File name - "image1.jpg" (selected in Thumbnails window)
Thumbs-subfolder - "thumbs" (from HTML export dialog)
Thumbs-prefix - "t" (from HTML export dialog)
Images-subfolder - "images" (from HTML export dialog)

Template 1: thumbnails.html (or thumbnails.htm, thumbnails.php, thumbnails.asp)

Possible placeholders/variables:

Placeholder Result

#TITLE# - Page title (from HTML export dialog)
#BGCOLOR# - Color of the Thumbnails window (from Thumbnails options)
%IMAGE_BEGIN% - start table block for one thumbnail image and links/data (internal placeholder), containing:
#LINK# - if no HTML browsing => "./images/image1.jpg" = path to the image, using images-subfolder from the HTML export

- if HTML browsing used => "image1.html" = path to the HTML with the image frame

#TARGET# - HTML dialog option: Link/image display (same browser window or different window)
#THUMB# - "./thumbs/t_image1.jpg" - path to the thumbnail, using thumbs-subfolder/prefix/suffix from HTML dialog
#TXT_ALIGN# - text align option from HTML dialog
#IMAGE_TEXT# - result text/info (with other placeholders) from HTML dialog
%IMAGE_END% - end of thumbnail table block (internal placeholder)
#IMAGE_NAME# - "image1.jpg", image file name

Template 2: frame.html (or frame.htm, frame.php, frame.asp)

Possible placeholders/variables:

Placeholder Result

#TITLE# - Page title (from HTML export dialog)
#BGCOLOR# - Color of the Thumbnails window (from Thumbnails options)
#PREV_LINK# - link to the HTML file of the previous/left image
#IMAGE_NAME# - "image1.jpg", image file name
#NEXT_LINK# - link to the HTML file of the next/right image
#IMAGE# - "./images/image1.jpg" - path to the image, using images-subfolder from HTML export dialog
#IMAGE_PATH# - image path only: ./images/
#IMAGE_BASENAME# - image name only: image1
#IMAGE_EXT# - image extension only: .jpg
#WIDTH# - image width
#HEIGHT# - image height
#IMAGE_TEXT# - result text/info (with other placeholders) from HTML dialog
#BACK_LINK# - link to the start/thumbnails HTML file
#SELF_LINK# - link to the same HTML file
#TXT_ALIGN# - text align option from HTML dialog

Note: #IMAGE# is same as "#IMAGE_PATH##IMAGE_BASENAME##IMAGE_EXT#"

Template 3: slideshow.html

Possible placeholders/variables:

Placeholder Result

#TITLE# - Page title (from HTML export dialog)
#BGCOLOR# - Color of the Thumbnails window (from Thumbnails options)
#IMAGES# - array with image file paths, using images-subfolder from HTML export dialog
#TEXT# - array with image text, by default filled with image filenames
#IMAGE1# - "./images/image1.jpg" - path to the first image


Slideshow

Click on the File Menu, select Slideshow. A dialog allows you to select a directory from which the files will be taken. Use Look in and File name to narrow the search; use Files of type to limit the search to one type of file, such as JPG .

Click the file names you want to use. If you have a range of files to choose, click the first. Move the mouse to the last file in the group, hold down the Shift key on the keyboard and click. To choose individual files, hold down the Ctrl key and click each file name with the mouse. Click the Add button. Click the Add all button to add all images in the directory to the slideshow list. Remove and Remove all remove the selected or all files from the slideshow list.

Click the Sort Files button to choose a sort order by name, date, size or extension . Files may be sorted in ascending or descending order. To remove a sort, click the No sort option button.

Click the Sort button to choose a sort order by name, date, size or extension. Files may be sorted in ascending or descending order. To remove a sort, click the no Sort option button. Click Stop Slideshow and close IrfanView after the last image if you want to close IrfanView after the slideshow.

There are several options for slideshow. If there is a check mark in the box, the option is "on." Unchecked means "off."

You can set the Start file number default is file no 1. If the option Remember last file index on exit is set, the start file number will be filled with the last file from previous slideshow.

Click Loop slideshow to cause the slideshow to play continuously. The next option is Suppress errors during playing. Next option is Loop MP3 files. You can use MP3 files (with installed PlugIns) as background music, so you can loop one MP3 file until the next MP3 is loaded or the slideshow ends. The last before final option is Hide mouse cursor; click to make the mouse cursor "invisible" while the slideshow is playing. During a random slideshow, an image won't be shown more than once, a history list allows browsing. On the right is one more option Show text; click this to display the file infos of the image as it appears on screen. IrfanView can display a variety of file infos like name, size, date/time, EXIF/IPTC/Comment infos, etc. Check this page for more infos about text possibilities.

There are settings for how long each image will be shown; click the option button of your choice. The top option plays the next image automatically after a number of seconds (most keys will stop the slideshow, like ESC or Enter); type a number into the box to change the timing. The second option will cause the viewer to wait until you press a key on the keyboard or move the mouse before displaying the next image. The third option plays a randomly chosen image after the specified time, any key press (keys without function in slideshow like ESC) will stop the slideshow; the fourth plays a random image after you press a key or move the mouse.

You can set the Start image either manually or using double click on a file in the slideshow list.

Click the Play button to begin the slideshow.

Hint: If the slideshow is automatic you can use the Pause key on keyboard to stop it. Press any other key to resume.

Slideshows can be saved for future use. When you choose the images and begin playing a show, IrfanView creates a file named:

Slideshow.lst

which is placed in the IrfanView directory on your disk drive. This will be loaded back into the viewer when the Slideshow dialog is started.

Click Load filenames from TXT and a dialog like the Open dialog from the File Menu appears. Find the file you want to use and click Open to load it. Click Save filenames as TXT and a dialog like Save As appears. Give your slideshow a name and click Save to have it stored on the disk drive.

You can also save the current slideshow as self running EXE or SCR file (standalone executable/screen saver). First, create and run a slideshow. Now, if all slideshow options work as you wish, click the Save as EXE/SCR file button. The result file is standalone and can be distributed easily. For this feature the PlugIn Slideshow must be installed, which is done at program installation.

Possible errors during the EXE creation are: the input file can't be loaded or the disk is full (temp folder).

Note: All video/audio files saved in EXE/SCR are played using DirectX or other installed audio drivers/codecs, normal IrfanView PlugIns are not used.

Hint: If the slideshow is not fullscreen (means as window but the start coordinates are not 0,0), the Windows taskbar won't be hidden on slideshow start.

If you have Windows XP (or later) or Nero Burning ROM (full or demo version, NO OEM) installed, you can burn the slideshow to CD (Data CD) or create a Video CD (VCD). You must also install the Burning/Nero PlugIn for IrfanView first.

Slideshows can be created outside of IrfanView and later be loaded into the opened viewer. Use a text editor that stores its files as plain text, such as Windows Notepad. The file only contains the name of each image to be played in the slideshow, each on a separate line in the file. Each must include the complete path where the image will be found on your hard drive. It will look something like this:

C:\Images\myimage.jpg

Create the file and store it on your disk. When you start IrfanView, open the Slideshow dialog, and use the Load filenames from TXT button to start your show. Shows can also be played from outside the viewer using a command line option.

When you are done click Close. You may also click it before the slideshow starts. Another way to exit is to click the X in the upper right corner.

How to pause an automatic slideshow? Just press the Pause key. Press the pause key again to resume the slideshow.


Slideshow from CD

How to start IrfanView slideshow from a CD?

 Top Previous Next

1. Method: The easiest way is, if you have Windows XP (or later) or Nero Burning ROM (full or demo version) software installed:

1.1. Create and test (play) the slideshow in the Slideshow dialog.

1.2. Press in the slideshow dialog the button Burn to CD. (Note: The Burning/Nero PlugIn for IrfanView must be installed.)

1.3. Choose the burn option, Data-CD is default/recommended.

1.4. Insert empty CD-R/CD-RW in your burning device and burn it.

1.5. Done.

2. Method: Manual or special slideshow CD:

2.1. Copy IrfanView files into the root CD folder. (You can also copy an INI file "i_view32.ini" with your settings.)

2.2. Copy your images into the CD folder called e.g. "images".

2.3. Create a TXT file (in slideshow dialog or using Notepad) with the names of the images. If your image files have names like "image1.jpg", "image2.jpg", etc. the TXT should look like this:

.\images\image1.jpg

.\images\image2.jpg

etc.

In each line is a file name with relative paths (relative to IrfanView, i_view32.exe).

Save the TXT file e.g. as "slideshow.txt" in the CD root folder.

2.4. Create the "autorun.inf" file (Notepad). Write in the file 2 lines:

[AutoRun]

open = i_view32.exe /slideshow=slideshow.txt

Save "autorun.inf".

2.5. Done. Burn the CD using your burning software.


Batch Conversion/Rename

Click on the File Menu, select Batch Conversion/Rename. A dialog allows you to select a directory from which the files will be taken. Use Look in, File name and Files of type to limit the search.

Select the output directory at middle right. If you don't have the full path for this directory, click the Browse button to find it. Find a directory and when you have selected a directory, click the OK button to load the directory name as output directory.

You can set the current directory as output directory, if you press the Use this directory as output button.

Please take care if you are using same input and output folder. Some options may not work properly (e.g. apply on all pages) and if an error happens, there is no easy way to restore replaced files.

Batch Conversion:

Select the Output Format at bottom left. This works just like Save and Save As. The Options button lets you choose from the various file format specific save options, just like the Save and Save As dialog.

Use the Set advanced options button to apply many special operations to the images during conversion. These options are much like their versions on the Image Menu. The options are:

Crop, Resize, Change color depth, Auto adjust colors, Horizontal flip, Vertical flip, Rotate left, Rotate right, Convert to greyscale, Negative, Sharpen, Brightness, Contrast, Gamma correction, Saturation, Color balance, etc.

Hint: for Batch Resize: If you set both, width and height, to e.g. 640 and activate the preserve aspect ratio option, the result image dimensions are: width = max. 640, height = max. 640, proportional.

The option Create subfolders in destination folder will create a similar folder structure in the destination folder to the original file path.

Batch Rename:

You can rename original/input files or you can copy/move original files to output directory and rename the files in the output directory. For renaming, you can generate a name pattern for new names and the starting index for numbers.

Please be very carefully when you use rename and first test your options with dummy files; batch rename can be very powerful = dangerous! Using bad name pattern, combined with options like Move/Rename original/input files and/or Overwrite existing files, you can, under special circumstances, remove all input/original files! Please do not use these options, until you REALLY know what you are doing.

Hint: If you want e.g. 3 digits in the new rename name, you must also write 3x "#" in the pattern!
Example: Pattern image_### with start index 1 will produce file names "image_001", "image_002", etc.

Click on Set rename options to open a dialog for further options for the renaming process.

Check those you want to use, then click OK. To exit without making any selections, click Cancel.

Batch Conversion + Rename:

This option combines the normal Batch Conversion with Batch Rename. You can set the name pattern for the output files.

Select the files you want to convert by clicking their names. For a large range of files: click the first name, move the mouse to the last file in the group, hold down the Shift key and click. To choose individual files, hold down the Ctrl key and click each name.

Click the Add button to add the (selected) files that will be converted. Click the Add all button to select every image in the directory with the extension choosen in Files of type. Remove and Remove all take chosen files back out.

If the Include subdirectories option is checked and button Add all is pressed, all subdirectories will be searched for files with the choosen file type and added to the file list.

Click the Load TXT button to load file names from a TXT file. The TXT file contains, in each line, a name of the image/file, including the full path.

Click the Start button to begin. A box shows the progress of the conversion. If you need to halt, click the Stop button. When the process is done, click Exit to close the dialog.

File conversion may also be performed from outside IrfanView using a command line option.

When you are finished converting files, click Cancel to exit. Another way of exiting is to click the X in the upper right corner.


Search Files

Click on the File Menu, select Search Files. A dialog with search options opens. You can set file name options, start folder, file dates or text search.

Filename pattern examples:

* - search all files, all extensions
*.* - same as *
*.jpg - find only JPG files
123*.jpg - find only JPGs with 123 at name begin
*123.jpg - find only JPGs with 123 anywhere in the name
image - find only files which contain text "image" in the name

Text:: you can search for text in EXIF data (JPGs, TIFs, RAW-formats) and/or IPTC/Comment data (JPGs).

If several words are entered, all files with ANY of the words will be in the result list (like word_1 OR word_2).


Rename File

Click on the File Menu, select Rename File. A dialog opens; type in a new name for the file and click OK. The filename will be changed, both in the viewer and on the hard drive (or other media). To exit without making a change, click Cancel.

Note: the dialog will remember last position.


Move File

Click on the File Menu, then Move File. The file in the viewer will be moved to another directory on your hard drive (or other media).

You can set a default "move-to" directory for Move at the Properties and move all files to same folder or you can activate the option Ask me before moving to show a dialog with several destinations for each file.

The Move File dialog offers many input fields for the definition of destination directories.

See also:

Properties->File Handling


Copy File

Click on the File Menu, then Copy File. The file in the viewer will be copied to another directory on your hard drive (or other media).

You can set a default "copy-to" directory for Copy at the Properties and copy all files to same folder or you can activate the option Ask me before copying to show a dialog with several destinations for each file.

The Copy File dialog offers many input fields for the definition of destination directories.

See also:

Properties->File Handling


Delete File

Click on the File Menu, select Delete File. The file in the viewer is removed from your hard drive (or other media). Be sure you want this, as the file is immediately removed.

The file is, by default, removed to Recycle Bin, but you can change this option in: Properties->File Handling.

If you delete a file by accident, just resave the image.

There is also a Delete option on the Edit Menu. This only removes the file from the viewer (memory), it doesn't affect the file on your hard drive.

See also:

Properties->File Handling


Save (original folder)

Click on the File Menu, then Save.

Allows you to save your file to disk. Use Save in and File name to find the directory where you want the file saved.

The Save dialog is only showed, if the option Display Save-Dialog for File->Save is active in Properties->File Handling.

To save the file as a different type, use Save as type. Click the arrow and a list of file types drops down. Move the cursor to the one you want and click again. When you save, the file will be converted to this new type.

If Show options dialog is checked, an additional dialog is automatically shown for the file types ECW, GIF, ICO, JP2, JPG, JPM, PBM, PGM, PNG, PPM, RAW and TIFF for choosing and setting special options.

Click Save to send the file to your disk drive. Click Cancel to exit without saving.

Note that Save comes up in the last (actual) directory from which you loaded an image. Save As comes up in the last directory in which you saved a file.

See also:

Save As

Save, Options JPEG/GIF

Save, Options JPEG2000

Save, Options JPM

Save, Options PNG / PBM/PGM/PPM / ICO

Save, Options TIFF


Save As

Click on the File Menu, select Save As (or use the Save As tool on the toolbar).

Saves your file to disk. Use Save in and File name to find the directory where you want the file saved.

To save the file as a different type, use Save as type. Click the arrow and a list of file types drops down. Move the cursor to the one you want and click again. When you save, the file will be converted to this new type.

If Show options dialog is checked, an additional dialog is automatically shown for the file types ECW, GIF, ICO, JP2, JPG, JPM, PBM, PGM, PNG, PPM, RAW and TIFF for choosing and setting special options.

Click Save to send the file to your disk drive. To exit without saving, click Cancel.

Note that Save As comes up in the last directory in which you saved a file. Save comes up in the last (actual) directory from which you loaded an image.

See also:

Save

Save, Options JPEG/GIF

Save, Options JPEG2000

Save, Options JPM

Save, Options PNG / PBM/PGM/PPM / ICO

Save, Options TIFF


Save for Web

Click on the File Menu, then Save for Web.

Allows you to save optimized image as JPG, GIF or PNG using the RIOT PlugIn.

The RIOT dialog offers several options for image optimizations, file size etc.


Save, Options JPEG/GIF

JPEG

The upper half of the dialog lets you set a quality level for JPG images. Move the slider control to the desired setting. Lower settings take less space, but deliver less quality. Higher settings are better, but take more file space. The default setting is 80, which is fine for most images.

Check the grayscale option to save the image as that. Please remember if you activate this option!

Click the Save as progressive JPG box (like many images from internet) to activate that option. Click either again to remove the choice.

Click the Disable chroma color subsampling box if you want to achieve best color quality during JPG compression, which means 1x1 pixel blocks and larger JPG file. Normal block size is 2x2 pixels (enabled color subsampling).

You can also control the saving of original EXIF/IPTC/XMP/Comment informations into the new JPG file.

These options are valid if you convert/save a JPG to another JPG, other formats (like TIF or RAW formats with EXIF/IPTC data) are not yet supported.

You can set the approx. byte size of the result JPG file, if the RIOT PlugIn is installed.

GIF

The bottom half of the dialog has options for GIF images.

Click the Save interlaced box (like many images from internet) for that option.

Click Save transparent color to set a transparency for the GIF.

Choose transparent color during saving: later, you can click into a preview image to set the transparent color, this is the easy method.

Set transparency value to palette entry: type a number in the box below to use that palette entry as the transparent color. For more on this, see Edit Palette. If you have a true color image, you must first decrease the color depth to 256 colors to see the palette.

Note: IrfanView can't save animated GIFs.

After setting the options you choose, click Save to save the image and store the settings. To exit without saving the file or changed options, click Cancel.

The new settings will stay in effect until you change them again.

See also:

Save

Save As


Save, Options JPEG2000

JPEG2000

Click one of the option buttons to set a compression level for JP2 images. If you select Quality or Compress to bytes, type in a value for the option. Lossless compression allows saving of the image without loosing any image information (= highest quality).

Note: Saving as JPEG2000 is only available, if the PlugIn JPEG2000 is installed.

After setting the options you choose, click Save to save the image and store the settings. To exit without saving the file or changed options, click Cancel.

The new settings will stay in effect until you change them again.

See also:

Save

Save As


Save, Options JPM

JPM

Set the profile option. There are 5 standard profiles for different image/color types. You can also set the quality of the result JPM image.

If you want the thumbnail in the JPM image (for faster preview), check Save thumbnail option.

If you want to create multipage JPM images, click on the View Menu, then click Multipage images -> Create Multipage JPM.

Note: Saving as JPM is only available, if the PlugIn JPM is installed.

After setting the options you choose, click Save to save the image and store the settings. To exit without saving the file or changed options, click Cancel.

The new settings will stay in effect until you change them again.

See also:

Save

Save As


Save, Options PNG / PBM/PGM/PPM / ICO

PNG

Set the compression level and transparent color (similar to GIF/ICO) for PNG images. Note: PNG is a lossless format (like GIF) with true color support. It is usually the ideal format for screenshots, because the file size for this images is often much smaller as i.e. JPG, the saved image has at the same time no loss in quality and can be read by many programs.

Save transparent color: after you click on the Save button, a preview dialog will be showed to click into the preview image to set the transparent color.

You can also try the PNGOUT PlugIn for optimized PNG saving. It can reduce the result file size.

PBM, PGM, PPM

Click one of the option buttons to set an encoding type for PBM/PGM/PPMs. Ascii will produce very large files.

ICO

You can save transparent ICO images with the click on the preview image during the saving.

After setting the options you choose, click Save to save the image and store the settings. To exit without saving the file or changed options, click Cancel.

The new settings will stay in effect until you change them again.

See also:

Save

Save As


Save, Options TIFF

TIFF

Click one of the option buttons to set a compression type for TIFFs. The left side is for color images, the right may be used for black & white.

Save palette for grayscale images: some graphic editors have "problems" with grayscale TIFs with a palette. So you can disable the palette.

If you have a multipage image opened, you can save all pages from the input image into the result TIF, when you activate the option: Save all pages from original image.

After setting the options you choose, click Save to save the image and store the settings. To exit without saving the file or changed options, click Cancel.

The new settings will stay in effect until you change them again.

See also:

Save

Save As


Print

On the File Menu, click Print.

A dialog appears with options for printing an image.

You can select the printer and the orientation on the left dialog side.

A preview shows how the image would look printed in Portrait or Landscape orientation.

Use the Printer setup button to change the paper size or other printer settings.

Option buttons select how the image will print.

Original size will print the image with original dimensions, calculated from image DPI. DPI of 72 is used for images without DPI information.

Note: If the image is larger than paper size, only the visible part will be printed.

Best fit to page puts the image on the page as large as it can, without altering the dimensions/ratio.

Note: Aspect ratio IS used.

Stretch to page fills the print area, even if it has to resize one dimension.

Note: NO aspect ratio is used.

Custom allows you to print the image with specific size. Type in the desired values for width, height and left/top margin in cm or inches.

Note: The maximal image size is limited by the paper size, aspect ratio is used when activated. The width/height values are not auto-calculated for a new image, check/uncheck the Aspect ratio option or click in the desired field.

Scale fits the image on the page. Type in the desired change; 1.00 is original size.

Note: The maximal image size is limited by the paper size.

Click Center image to have the image printed in the center of the paper.

You can print the file name of the image or its path or an user defined text as head- and/or footnote.

You can also set the Number of copies.

You can Collate prints if a multipage image is loaded and the number of copies is bigger than 1.

Note: The preview image doesn't show the paper's un-printable area (depends on the printer). If you have an outline area selection (rectangle) in the original image, only the selected image area is printed.

Select options, then click Print.

Click Cancel to exit the Print dialog without printing, or when the job is done.


Select TWAIN Source

Click on the File Menu, then Select TWAIN Source.

Allows you to choose from the scanners or any other TWAIN compatible device (digital camera, TV card, etc.) installed on your computer (if more than one is available).

Note: this dialog is showed/managed by Windows, not by IrfanView.

Click the name of the device you want to use, then the Select button. To exit without making a selection, click Cancel.

See also:

Acquire/Batch scanning

Copy Shop


Acquire/Batch scanning

Click on the File Menu, click Acquire/Batch scanning.

· If you want to acquire just one image, use the first option.

The program that runs your scanner or any other TWAIN compatible device (digital camera, TV card, etc.) will appear. Follow the steps given in your scanner's manual for scanning an image.

When finished, the image will be placed into IrfanView.

· For many images, please use the second option.

There you can set:

• output file name
• starting index/counter for output files
• index increment number (can be also a negative number)
• number of index digits used in the file name
• option to skip existing files with same file name (no overwrite)
• remember last scan counter (will be set as start)
• destination directory for scanned images
• image file type

If you are using the TIF format for output, you can create a multipage TIF file from the scanned images (only one file is saved as result, no increment).

The program that runs your scanner or any other TWAIN compatible device (digital camera, TV card, etc.) will appear. Follow the steps given in your scanner's manual for scanning an image. The TWAIN preview dialog won't be closed by IrfanView.

Images will be saved in the output directory as image files. The file names are "ScanImage001.bmp", "ScanImage002.bmp", etc. (if default settings used).

When finished, the last scanned image will be showed in the IrfanView window.

See also:

Select TWAIN Source

Copy Shop


Copy Shop

On the File Menu, click Copy Shop.

A dialog appears with options for printing an image directly from a scanner or any other TWAIN compatible device (digital camera, TV card, etc.).

The button Select TWAIN Source lets you choose a TWAIN compatible device (usually a scanner) from a list.

Check option Show TWAIN preview dialog, if you want to see a preview before the scanned image is sent to the printer.

Enter the DPI value for the scan; default is 100. Usually, half of the selected printing resolution is a good value for scanning.

Select the active printer and set the printer properties.

Enter the Number of copies for printing.

Note: For printing the actual settings from the print dialog are used.

When everything is set, click Start. To exit without making a selection and copying, click Cancel.

See also:

Print

Select TWAIN Source

Acquire/Batch scanning


MRUDs

Recent directories (MRUDs)

 Top Previous Next

On the File Menu, point the mouse at Recent directories (MRUDs: most recently used directories). A sub-menu appears showing the most recently used directories. Click one and the Open dialog appears already in the chosen directory. From there you can open any file in the directory.

The MRUDs list can be disabled/erased using a button on the Miscellaneous tab, located in the Properties box on the Options Menu.


Exit

There are several ways to exit the program:

On the main window, press the ESC key on your keyboard. The program will close immediately. (If you're in any of the menus or dialog boxes, ESC will back out of that window. Press it again to exit.)

From the File Menu, you can press the X key, to close IrfanView. When using the mouse, just click the Exit option to close the viewer.

Click the logo in the upper left corner of the program window to bring up the standard Windows control box and click the Close option or execute a double click on the logo to close IrfanView immediately.

Click the X box in the upper right corner of the program window. This will also close the program.

Note: IrfanView doesn't ask the silly question "Do you want to save changes blah blah?" - it closes right away (by default). Be sure you've saved any work you want to keep or activate the option Ask to save changes on exit in Properties->Start/Exit.


Undo - Redo

Click on the Edit Menu, select Undo (or use the Undo tool on the toolbar).

"Backs up" from the last action you took. Undo will take back many functions of IrfanView. Only one function may be undone; the viewer does not save them up. You can disable this option in Browsing/Editing tab in the Options->Properties dialog.

Redo will show the Undo image again.

Functions supported by Undo are:

Auto adjust colors, Custom Rotation, Convert to Greyscale, Crop, Cut, Decrease Color Depth, Enhance colors, Increase Color Depth, Negative, Resize/Resample, Paint dialog and all Image Effects.


Paint dialog

Show Paint dialog (IrfanPaint plugin)

 Top Previous Next

Click on the Edit Menu and select Show Paint dialog.

Overview

IrfanPaint is the painting plugin for IrfanView, wrote by Matteo Italia in collaboration with Irfan Skiljan. It allows you to do many basic photo-editing tasks without opening an external editor.

Make sure you have the latest IrfanPaint version: you can download it from the IrfanPaint website.

Tips & tricks

· With extended tool tips selected ( [image]), move the mouse pointer over a tool to see tips on its use. The size of text in the tool tips can be changed in Windows, Desktop, Appearance.
· The Paint Toolbar is magnetic. Drag it to either side of the IrfanView window and it will snap there. Then it will move with the window if you resize it or load a larger image.
· You can switch between the various tools scrolling the mouse wheel while holding Ctrl and Shift.
· You can change the pen width also scrolling the mouse wheel while holding Shift.

The tools

Quick reference

Arrow: Limits tools to work within selection

Paintbrush: Left/Right = Fg/Background color

Eraser: Left/Right = Background/Undo paint

Clone brush: Copy source to target

Color Replacer: Swap colors

Text Tool: Insert formatted text

Line: Straight line; Shift/Control to constrain

Arrow-line Arrows; Right click for line endings

Ellipse: Shift = Circle; Control = Centre

Rectangle: Shift = Square; Control = Centre

Fill: Left/right = Foreground/background color

Color-picker: Foregound/background color

Rotate: Custom rotate to horizon line

Brush Settings: Line styles and hatch fills

Tool tips: Brief/Extended tool tips

About: Version number, Credits

Width: Scroll to adjust the brush size

Tolerance: Scroll to adjust tolerance

Fill checkbox: For ellipses and rectangles

Background color: Click to change color

Foreground color: Click to change color

Complete help

Name

Image

Description

Arrow

This enables you to return focus to the Irfan View window, to make selections, crop, etc. The IrfanPaint tools, such as paintbrush or flood-fill will have no effect outside of the selected area.

Paintbrush

The left mouse button paints with the foreground color, and the right mouse button paints with the background color. Hold down the shift key, and scroll with the mouse scroll-wheel to change the brush width or use the width control on the toolbox.

Eraser

Click and drag with the left mouse button to erase any part of the image, leaving the background color. Click and drag with the right mouse button to undo any previous painting, leaving the original image. Hold down the shift key, and scroll the mouse scroll-wheel to adjust the width of the eraser.

Clone tool

Right click to define the source; left click and drag to define the target and start painting a copy of the source. Hold down the shift key, and scroll with the mouse-wheel to adjust the width of the clone brush.

Color replacer

The color replacer is used to replace a color with another one. Click and drag with the left button to replace the background color with the foreground color. Click and drag with the right button to replace the foreground color with the background color. Hold down the shift key, and scroll the mouse scroll-wheel to adjust the width of the color replacer. Use the tolerance field to adjust the tolerance of the color substitution.

Text tool

The Text Tool adds formatted text to the image. The text cursor's cross-hair will be the baseline for the inserted text. The text will be left, right, or center aligned on the insertion point.

When you click the text cursor on an image, the Insert Text dialog opens. Here, you can select text, format individual words or letters with font, size, color, and text attributes, or align the text left, right, or centre.

Unicode text can be pasted from the clipboard, or typed by using a customised Windows keyboard.

The text can be drawn as an empty path, a filled path, as text or antialiased text. For path text, the text color icon changes to the brush settings icon, from which you can set the line and fill attributes of the text.

Text in the dialog can be copied to the clipboard for reuse, and all formatting is preserved.

The Hold to preview button will display the formatted text in the image so that you can check that it is not too big, correctly justified, and has a suitable color contrast, etc., before clicking on OK to insert the text.

Line tool

Click and drag with the left mouse button to draw a straight line with the foreground color. Click the right mouse button while dragging to cancel. Hold down the Shift key to constrain the line to 45° angles. Hold down the Control key to draw a line centred on the start point. Hold down the shift key, and scroll with the mouse-wheel to adjust the width of the line. Use the Brush Settings to change the style of the line, or line endings.

Arrow-line tool

The same as the line tool. Right-click the arrow tool to define the start and end arrow styles.

Ellipse/circle tool

Click and drag to draw an ellipse. Hold down shift to draw a circle. Hold down control to constrain the centre to the start point. Click the right mouse button to cancel drawing.

Rectangle/square tool

Click and drag to draw a rectangle. Hold down shift to draw a square. Hold down control to constrain the centre to the start point. Click the right mouse button to cancel drawing.

Floodfill tool

Click with the left mouse button to fill an area with the foreground color. Click with the right mouse button to fill an area with the background color. Use the selector tool first to limit the flood fill to the enclosed area. Use the tolerance field to set the tolerance value of the floodfill (suggested value: 40).

Color-picker tool

Click with the left mouse button to select the foreground color. Click with the right mouse button to select the background color. After using the color picker tool once, focus will immediately return to the previously selected tool unless you selected the picker tool holding Shift.

Straighten/Rotate Image Tool

Click and drag the tool along a straight line or between two points that you want to be on a horizontal or vertical line after rotation. The current background color will be used to fill the canvas, which is extended to accommodate the rotated image. The background color used by the custom fine rotation in Irfan View is not affected or used by this tool. It uses the background color of IrfanPaint.

Pen and brush settings

Open the brush settings dialog to set line and fill styles, and line endings. Results will depend on the line width, and will affect the paintbrush, line, arrow, ellipse, and rectangle tools.

Here you can set the line style, pen width, line ending style, line joints (corner) style, line color, and line hatching style.

The background tab allows you to set the color and hatching style for the fill. The secondary hatching color can be transparent to get a highlighting effect when painting over text with the background color (right mouse button with the brush tool).

To make it look like there is no pen outline, use the same color and hatching for the line as you use for the fill.

Empty path text and filled path text will also use these brush settings. Unless text is very large you will probably need to use a line width of only 1 or 2 pixels.

The preview indicates (roughly) what the result will be. Click the preview to invert the foreground and background styles and colors.

Help (exhaustive tooltips)

Choose between short tool tips and extensive context help for the tool tips shown on mouse over.

About IrfanPaint

Version number of the IrfanPaint plugin, information about the translation, credits and a link to the IrfanPaint website, from where you can download the latest IrfanPaint version.

Line width

Enter a line width value in pixels, scroll with the buttons, or use the up/down cursor keys to adjust the line width. The line width can also be adjusted by holding shift and scrolling with the mouse wheel, while using the tools.

Tolerance

Higher values increase the range of colors replaced by the color replacer and flood fill tools. Reducing it to zero replaces only pixels with the specified color; increasing it to 255 replaces every color.

Fill

Used by the arrow-line, ellipse and rectangle tools. Choose from solid (filled) or outline (unfilled) shapes.

Color pane

Click on the rectangle on the foreground to select the foreground color.

Click on the rectangle on the background to select the background color.

Click on the little arrow to exchange the two colors.

Credits

The original text of this help page was written by Bhikkhu Pesala; it was then adapted and put in this graphic layout by Matteo Italia.


Create custom crop selection

Click on the Edit Menu, then Create custom crop selection. A dialog allows you to create a special selection (outline rectangle) in the loaded image.

You can set the position, width/height and the aspect ratio of the selection.

If a selection is already showed in the image, the dialog values will be filled with the selection values.

You can also create a custom selection with mouse. Put the mouse cursor at one corner of the area you want to outline. Press the left button and hold it - mouse pointer is a double cross. Drag the mouse across and down (or up) to the opposite corner of the area you want outlined. A border appears as you drag the mouse. Release the button when you are done dragging.

To remove the selection, press left mouse button outside the outline rectangle (normal mouse pointer).

If you press the left mouse button inside the selected array (mouse pointer is a magnifying glass), you zoom into this area.

To resize the outline rectangle, put the mouse over the border line of the side you want modify. The mouse pointer changes to a thin double arrow. Press and hold left mouse button and drag the border. Press CTRL key during resize to keep the actual ratio of the selection.

If the buttons on your mouse are reversed, use the right button as described above.

If you want to change the position of the selection, press and hold right (or reversed left) mouse button inside the area. The mouse pointer changes to a cross of thin arrows. Drag the mouse until the outline has reached the new position you want and release the mouse button.

The pixel coordinates of the upper left corner, the dimensions in pixel and the aspect ratio of the selection is displayed on the title bar/caption.

See also:

Cut

Crop

Copy

Paste

Insert text into selection

Red Eye Reduction


Create maximized selection

This menu allows you create a maximized selection in the image using some of the most popular selection ratios.

Create maximized current custom selection

This menu will use the last/current ratio value from the dialog/menu Create custom selection and create a maximized selection in the image.


Maximize and center selection

If a rectangle selection is showed, you can click on the Edit Menu, then Maximize and center selection.

This option will maximize and center the current selection in the image, using current aspect ratio of the selection.

Hint: if you hold the CTRL key down and then click on this menu, the selection will be just centered, no size change.


Show selection grid

This menu will show a special grid in the selection rectangle, like Golden Ratio or Thirds grids.

Use arrows or right mouse button (see hotkeys page) to move the selection.


Insert text into selection

Use the left mouse button to outline the area (selection) on the image where you want text to appear. Click the Edit Menu, then Insert text into selection. A dialog box will open.

How to make a selection? Just press the left mouse button and move the mouse. You will see the selection rectangle. If you click on the image again outside the selection, the selection rectangle will be deleted and the selection is no more active.

If this feature is used in the Batch mode (Batch dialog, Advanced options, Add overlay text), the fields for coordinates are enabled and you can set the start corner and size of the rectangle which will be used for text.

In the Text box on the left, type in the text you want to put on the image.

Use the Choose Font button to change the size, style, color, etc. of the text. The name of the selected font is shown below the text box.

Uncheck the Background is transparent box to choose a background color. The highlighted area will change to that color, with the text inside. The small box left the button shows the selected background color.

Click the OK button to add the text to your image. To close the dialog without adding any text, click the Cancel button.

Add text may be reversed with the Edit Menu's Undo command.

See also:

Create custom crop selection

Text/Pattern Options


Cut

Use the left mouse button to outline the area (selection), click on the Edit Menu, then Cut (or use the Cut tool on the toolbar).

Cut - selection

The area inside the outline will be removed from the image. The area will be usually filled with the black color. The cut portion is placed on the Windows Clipboard as bitmap image and may be pasted in elsewhere.

Cut - leave selection

The area outside the outline will be removed from the image and replaced by the defined color for cutted area.

Note: You can set the cut color in Properties->Browsing/Editing.

This action may be reversed with the Edit Menu's Undo command.

See also:

Crop

Copy

Paste

Create custom crop selection


Crop

Use the left mouse button to outline the area (selection), click on the Edit Menu, then Crop selection.

Crop selection

The area outside the outline will be thrown away, only the inside will be left. The size of the image changes.

Use this to eliminate unwanted space (usually blank space) from an image. It can also center a badly composed photo.

Auto crop borders

This feature will remove borders/area of same color in the image.

Crop visible window area

This feature will crop only the image part which is currently visible in the main window, including zoom.

The actions may be reversed with the Edit Menu's Undo command.

Hint: for JPG images, you should better use the lossless crop in Options->JPG Lossless Crop menu.

See also:

Cut

Copy

Paste

Create custom crop selection


Copy

Use the left mouse button to outline the area (selection), click on the Edit Menu, select Copy (or use the Copy tool on the toolbar).

The area inside the outline will be placed on the Windows Clipboard as bitmap image and may be pasted in elsewhere.

If you don't select an area with the mouse, the entire image will be copied to the Windows Clipboard.

See also:

Cut

Crop

Paste

Create custom crop selection


Paste

Click on the Edit Menu, then Paste (or use the Paste tool on the toolbar).

If you have an edit outline (selection rectangle) around an area of the current image, an image stored on the Windows Clipboard as bitmap, metafile or text will be pasted into your outline. The clipboard image will be resized to fit the outline and the rest of the image will stay as it is. This feature is very useful for editing images or portions of them. You can change the selection paste option in Properties->Browsing/Editing.

If there is no edit outline, an image (bitmap, metafile or text) on the Windows Clipboard will replace the entire image in the viewer.

See also:

Cut

Crop

Copy

Create custom crop selection


Delete (Clear display)

Click on the Edit Menu, then Delete (Clear display).

Removes the entire image from the viewer. This does not affect the image stored on your disk drive.

There is also a Delete option on the File Menu; this one removes the file from your disk drive completely.


Clear Clipboard

Click on the Edit Menu, then Clear Clipboard.

Removes the contents of the Windows Clipboard.


Information

Click on the Image Menu, then Information (or use the Information tool on the toolbar). A box opens with the following about the image:

File name

Directory name

Full file path

Compression method

Resolution - you can change the DPI values and then press the "Change" button.

Original size (width/height in pixels)

Current size (width/height in pixels)

Print size (in cm/inches, based on image DPIs)

Original colors (color depth, BitsPerPixel)

Current colors (color depth, BitsPerPixel)

Number of unique colors in the image

File disk size (in KB)

Image memory size (in KB, decompressed)

Current directory index

File date/time

Loaded in (time to load image)

If you load a JPG/TIF/DigiCam-RAW image with EXIF information, the button 'EXIF info' is visible and IrfanView can show you EXIF information.

When you are viewing a photo in JPG/TIF/DigiCam-RAW format with EXIF photo information, click on Image information on the toolbar and an IrfanView Image properties window opens. In the lower left hand corner you will see button marked "EXIF info". Click on the button and another window will open to display all the exposure information pertaining to the photo you are viewing.

Click your mouse on the name of the file and use your cursor up and down keys to scroll through the information. You will find the date, time, image size, lens aperture opening, zoom lens setting, quality mode, shutter speed, use of flash, ISO speed of CCD setting sensitivity, make and model of camera. See text/pattern options for a list of EXIF tags. This information is in text (.txt) format. You can select the text info and copy it to clipboard so that you can paste it into a word processing program and print it or save it into the same directory where your photo images are stored for future reference.

Note: EXIF component is stored in the EXIF PlugIn, please install!

If you load a JPG image, the button 'IPTC info' is visible and IrfanView allows you to display/edit/write IPTC information. IPTC editing is a lossless operation, the JPG image is not changed. The IPTC data in TIF/DigiCam-RAW formats can be also showed, no editing yet.

Note: IPTC component is stored in the IPTC PlugIn, please install!

If you load a JPG image, the button 'Comment' is visible and IrfanView allows you to display/edit/write the JPG comment. Comment editing is a lossless operation, the JPG image is not changed.

Note: JPG Comment component is stored in the IPTC PlugIn, please install!

Note: If you load a JPG file and EXIF/IPTC/Comment data is already available in the file, a "*" is added to the button text.

Click the OK button when you are done viewing the information.


Create New (empty) image

Click on the Image Menu, then Create New (empty) image. A dialog allows you to create a new (empty) image.

You can set the image width/height, number of colors (BPP) or grayscale and the background color (default is black).


Create Panorama image

Click on the Image Menu, then Create Panorama image. A dialog allows you to create a panorama image.

You can add single images vertically or horizontally. The first image in the chain will be used as the base for the next images.

There is also an option to insert filenames into the panorama image (top left corner of the single image) or add some empty space between the images. 0 pixels means no space (default).

Note: If you want to create images with multiple rows/columns at same time, use the Contact Sheet feature from Thumbnails window.


Rotate

Rotate Left / Right / Custom/Fine

Rotate Left

Click on the Image Menu, then Rotate Left. The image will turn 90 degrees; the top of the image will move towards the left.

Rotate Right

Click on the Image Menu, then Rotate Right. The image will turn 90 degrees; the top of the image will move towards the right.

Hint: for JPG images, you should better use the lossless transformation in Options->JPG Lossless Operations menu.

Custom/Fine rotation

A dialog allows you to enter a special degree (range: -360 - +360) for the image rotation.

Enter a value to control how far the image is rotated; positive numbers (e.g. 30) rotate the image to the right, negative (e.g. -30) rotate the image to the left; higher numbers rotate the image farther; default is 45. You can also set the color of the background area, produced by the rotation.

Note: Custom/Fine rotation is only available, if the english PlugIn Effects is installed, which is done at program installation.

See also:

Vertical Flip


Vertical/Horizontal Flip

Click on the Image Menu, then Vertical Flip. The image will turn upside-down. The left/right orientation will stay the same.

Click on the Image Menu, then Horizontal Flip. The image will turn side-to-side, as in a mirror.

Note: The effect can be used on a smaller portion (rectangle selection) of an image, as well as the entire image.

Hint: for JPG images, you should better use the lossless transformation in Options->JPG Lossless Operations menu.

See also:

Rotate Left / Right / Custom/Fine


Resize/Resample

Click on the Image Menu, then Resize/Resample. A dialog allows you to choose the new size for the image; some Resample filter can be used if you are enlarging the image.

There are several built in choices, or you can type over the old numbers. The first number is width, the second height, both in pixels. Leave the Preserve aspect ratio box checked, type in one number and the other will be calculated for you.

Resampling an image often improves its quality, especially when enlarging it. Resizing without resampling can result in a blurry image.

Note: the showed Resample filters are used for enlarging only. For shrinking, a special/fast resample filter is used.

Hint: if you set the units to cm or inches you can resize the image only by changing the DPI value.

Example: the image is 600x500 pixels and 300 DPI, if you set unit to cm/inches and new DPI to 150, new image will be 300x250 pixels, 150 DPI.

Same option is available in Advanced-Batch dialog (Resize based only on DPI value).

Click OK to resize the image.

This action can be reversed by the Edit Menu's Undo command.


Canvas size and Add border/frame

Click on the Image Menu, then Canvas size or Add border/frame.

Canvas size: a dialog allows you to choose the size of simple image border around the image and the border color.

Negative size values can be used to draw the frame on the inside of the image.

Add border/frame: a dialog allows you to choose the sizes and border colors of image border/frame around the image. The dialog offers several predefined frame effects and values. You can set up to 4 parts, up to 4 sizes/colors for every frame.

If a size value of a part is set to 0, that part won't be used.

Note: The features are only available, if the PlugIn Effects is installed, which is done at program installation.

Click OK to create the new image.

This action can be reversed by the Edit Menu's Undo command.


Increase Color Depth

Click on the Image Menu, then select Increase Color Depth. A dialog shows the possible color depths. Select one.

Click OK to make the change.

This action can be reversed by the Edit Menu's Undo command.

See also:

Decrease Color Depth


Decrease Color Depth

Click on the Image Menu, then select Decrease Color Depth. A dialog shows the possible color depths. Select one.

Click OK to make the change.

This action can be reversed by the Edit Menu's Undo command.

See also:

Increase Color Depth


Convert to Greyscale

Click on the Image Menu, then select Convert to Greyscale.

Greyscale (or grayscale) is actually a color mode, like RGB. It contains more information about the photo than black and white. Converting from color to greyscale will usually give a better effect than from color to black and white.

This action can be reversed by the Edit Menu's Undo command.


Show channel

This option shows the red, green or blue color channel of the image.

Note: see Properties->Browsing/Editing if you want to show a channel as color or grayscale.

This action can be reversed by the Edit Menu's Undo command.


Negative

Click on the Image Menu, then select Negative. The image is converted to a reversed color version of the original.

Note: The effect can be used on a smaller portion (rectangle selection) of an image, as well as the entire image.

This action can be reversed by the Edit Menu's Undo command.


Color corrections

Click on the Image Menu, then Color corrections. A dialog appears with slider controls. Move the setting up or down, for more or less brightness / contrast / gamma / saturation and RGB balance.

Note: All of these effects can be used on a smaller portion (rectangle selection) of an image, as well as the entire image.

These effects are only available, if the PlugIn Effects is installed, which is done at program installation.

You'll see the image change as you move the control. If you click on Apply to original image, the actual settings will be used on the original image, but aren't already applied permanently to the image.

Click on Save values on exit if you want to save last used dialog/color values for the next image.

When you are satisfied, click OK. To quit without changing the image, click Cancel.

This action can be reversed by the Edit Menu's Undo command.

Note: the dialog will remember last size/position.


Histogram

Click on the Image Menu, then Histogram. A dialog appears with the histogram of the image. You can choose which color channel is showed.

When you have finished using the dialog, click Exit.


Auto color correction

Click on the Image Menu and click Auto color correction.

The feature improves the brighntess of the image using automatic calculations for brightness and gamma values.

Note: You can improve the result if you first create a selection/outline in the image (important area) using the left mouse button. Hold the CTRL key while you click the menu. In this case, only the selected area will be used for calculations but applied to whole image, otherwise the feature will be applied on the selection only.

This action can be reversed with the Edit Menu's Undo command.


Red Eye Reduction

Click on the Image Menu and click Red eye reduction.

This menu can only be used when you have created a selection/outline in the image using the left mouse button. The feature reduces the red color values in the selected area (usually the eye). The amount can be changed using Effects Setup.

The Effects Setup dialog allows also a Green or Yellow Eye Reduction for cats/dogs etc.

This action can be reversed with the Edit Menu's Undo command.


Effects

Click on the Image Menu (with loaded image), then point the mouse at Effects to access these options.

Note: Most of these effects can be used on a smaller portion (selection) of an image, as well as the entire image.

These effects are only available, if the PlugIn Effects is installed, which is done at program installation.

All actions can be reversed with the Edit Menu's Undo command.

The possible effects are:

3D Button

Click on the Image Menu, point the mouse at Effects and click 3D Button.

Gives the image a beveled edge look, with the center raised. The size of the border can be changed using Effects Setup.

Blur

Click on the Image Menu, point the mouse at Effects and click Blur.

Softens the image, creating a blurry or fuzzy look. The amount of blur can be changed using Effects Setup.

Emboss

Click on the Image Menu, point the mouse at Effects and click Emboss.

Turns the background grey and gives the image an engraved appearance.

Oil Paint

Click on the Image Menu, point the mouse at Effects and click Oil Paint.

Creates a textured effect, such as that seen in an oil painting. The amount of texture can be changed using Effects Setup.

Edge Detection

Click on the Image Menu, point the mouse at Effects and click Edge Detection.

Finds the main lines in an image and replaces their color with the opposite color, at the same time most fill colors are darkened, making them like a background. The image takes on a "painted on velvet" appearance. This effect needs a color depth of 256 or less to work properly.

Median filter

Click on the Image Menu, point the mouse at Effects and click Median filter.

Causes a group of pixels to have the brightness of the "average" pixel in that group. In most cases, this has a "smoothing" effect on the area being filtered. The amount of filter can be changed using Effects Setup.

Explosion

Click on the Image Menu, point the mouse at Effects and click Explosion.

Breaks up the image, as if the darker pixels exploded. The amount of explosion can be changed using Effects Setup.

Pixelize

Click on the Image Menu, point the mouse at Effects and click Pixelize.

Breaks the image into a coarse version of itself, as if it were made up of oversized pixels. The amount can be changed using Effects Setup.

Other menu options:

Effects browser

Click on the Image Menu, point the mouse at Effects and click Effects browser. Opens a dialog from which you can change many of the effects settings.

Adobe 8BF filters

Click on the Image Menu, point the mouse at Effects and click Adobe 8BF filters. Opens a dialog from which you can perform many other Effects. IrfanView has an english PlugIn (8BF_Filters), which loads normal Adobe Photoshop filters (8BF files) and and must be installed first.

Use the button Add 8BF Filters to select/import a folder with 8BF filters. Select one of the loaded/showed filters and start it using Space key or button.

Some nice sites with 8BF effects:

http://www.richardrosenman.com/software/downloads/ (like Grid Generator etc.)

Filter Factory

Click on the Image Menu, point the mouse at Effects and click Filter Factory. Opens a dialog from which you can perform many other effects. For this feature you must first install the english PlugIn FFactory (Filter Factory).

Filters Unlimited

Click on the Image Menu, point the mouse at Effects and click Filters Unlimited. For this feature you must first install the english PlugIn Funltdiv (Filters Unlimited) and download some filters from http://www.icnet.de. Please read the file FUnlimited_Readme.txt in IrfanView PlugIns folder for all details.


Effects Setup

Effects Setup/Browser

Click on the Image Menu, point the mouse at Effects, then click Effects browser. A dialog allows optional settings for many of the special effects. These effects are only available, if the english PlugIn Effects is installed, which is done at program installation.

When you are finished, click OK to close. To exit without any changes, click Cancel.

The applied effect after pressing OK can be reversed by the Edit Menu's Undo command.

The settings are:

Blur

Enter a value (1-99) to control how coarse the blur effect is; higher numbers produce a wider blur; the default is 30.

Emboss

This effect has no settings. There is only a preview possible.

Oil Paint

Enter an odd number (3, 5, 7 or 9) to control how coarse the oil paint effect is; higher numbers produce a more streaked effect; the default is 3; higher settings take longer to finish.

Edge Detection

This effect has no settings. There is only a preview possible.

Median filter

Enter an odd number (3, 5, 7 or 9) to control how coarse the median filter effect is; higher numbers cause the pixels to become more alike in brightness (most areas will appear "softer"); the default is 3; higher settings take longer to finish.

Explosion

Enter two values to control the mask value for explosion; this sets how coarse the explosion effect will be; higher numbers produce a more coarse effect; the default is 3 x 3; higher settings take longer to finish.

Pixelize

Enter two values to control the mask value for pixelize; this amount sets how coarse the pixel effect will be; higher numbers produce a more coarse effect; the default is 5 x 5; higher settings take longer to finish.

Sharpen

Enter a value (1-99) to control how deep the sharpen effect is; higher numbers sharpen the image more; the default is 30.

3D Button

Enter two values to control the width and height of the border for 3D buttons. The settings are in pixels; 15 is the default.

Red Eye Reduction

Enter a value (-127 - 127) to control how strong the level of the red color is; higher numbers produce less reduction; the default is 0.

and more ...


Filter Factory

Note: Filter Factory is used as PlugIn, download and install:

http://www.irfanview.com/plugins.htm

Note: You can find some 8BF filters/effects at:

http://www.stevesdesktopphotography.com

http://hno.freeshell.org/download.htm

http://www.thepluginsite.com/

Click on the Image Menu, point the mouse at Effects and click Filter Factory. A dialog opens from which to control the (loaded) filter.

Parameters sliders control the filter. These will cause the filter to act more or less on the image. Usually, moving the slider to the right increases the action, to the left decreases. Default slider values resets the sliders to the default values defined by the author of the filter.

Filter groups help you keep track of them. The display shows the names of all groups available for use. You can add groups to the list or remove them.

Filters displays the names of the filters in the selected group. You can add filters to the list. Click one of the names to see that filter. The preview image shows what the image will look like, if you apply the filter. To use the filter, click Apply to image. This can be reversed using the button Undo filter or by the Edit Menu's Undo command.

Add FF filter makes more filters available. A dialog box allows you to find the directory in which your filters are stored. Click the OK button after selecting the directory. All of the filter groups in that directory will be added to the list. Click Cancel to exit without changes.

Remove filter removes the selected filter from the list. To remove filters in larger numbers, use Remove group or Remove all groups. Removing a filter does not remove it from your hard drive, only from this list.

Filter info displays the filename, filter name, author name and copyright information for a selected filter. When you are done reading the info, click OK.

Thanks to ... shows a message of thanks to Michael Johannhanwahr for the library provided for use with IrfanView.

When you have finished using the filters, click Exit.


Swap Colors

Click on the Image Menu, then point the mouse at Swap Colors. A sub-menu allows you to select one of the color combinations to change the image.

This command operates at the pixel level, changing the color of all, or most, depending on which combination you select.

Example: If you choose RGB -> RBG, the pixels that are green will be made blue and the blue pixels will be made green. (In this combination the red pixels stay the same.)

The possible swaps are:

RGB -> RBG

RGB -> BGR

RGB -> BRG

RGB -> GRB

RGB -> GBR


Palette

For images with 256 or fewer colors.

If you have a true color image, you can decrease the color depth in the Image Menu.

Edit palette

A dialog shows the colors at use in the image. Click any color for information about it. Double click to edit the color. Your changes will appear in the image. When you are satisfied, click OK to close the dialog.

Hint: if you click into the image (main window), the chosen color index will be selected in the palette entries.

This action can be reversed by the Edit Menu's Undo command.

Export palette

A dialog asks you for destination file/directory. The palette will be saved as PAL file in Paint Shop Pro palette format.

Import palette

A dialog asks you for a PAL file (Paint Shop Pro palette). The palette will be applied to the image.

See also Properties, Browsing/Editing if you want to apply original palette 1:1 or look for nearest color.


Properties, Settings

Click on the Options Menu, then Properties (or use the Properties tool on the toolbar).

A dialog allows you to change many of the basic functions of IrfanView.

Click one of the tabs to see the properties in that section. They are:

JPEG/PCD/GIF, Extensions, File Handling, Viewing, Full Screen, Video/Sound, Language, Browsing/Editing, Start/Exit, Miscellaneous, PlugIns, Toolbar.


Properties, Start/Exit options

You can set the start folder for IrfanView.

Only 1 instance of IrfanView is active: Unchecking will allow the viewer to open more than once at the same time. Checking the box will prevent more than one instance of the viewer at any time.

Start in full screen mode: Show the full screen window, when you load an image in IrfanView. Then pressing ESC exits the program and not the full screen mode.

Warning on ESC exit: Check it, if you want to get a warning message, if IrfanView should be closed using the ESC key.

Ask to Save Changes on exit or file/image change: Check it, if you want to get a warning message, if IrfanView should be closed (or image/file changed) and an Undo or unsaved image is available in memory.

Close viewer only on ESC, if Thumbnails displayed: Check it, if you want to hide main IrfanView window on ESC click in it, if Thumbnails window is showed.

When you are done making your selection, click OK. To exit without any changes, click Cancel.


Properties, JPEG/PCD/GIF

Properties, JPEG/PCD/GIF/GIF

JPEG

If you want to auto-rotate JPGs according to they EXIF information (if properly saved), check the first option.

If you check Load as grayscale, ALL loaded JPGs are showed as black/white. Please remember if you activate this option!

Photo CD

This part allows you to choose the size at which Photo CD images are loaded. Click one of the option buttons to make your selection.

GIF

Two check-boxes allow special settings for GIFs. The first one controls animated GIFs. Default is Play animated GIFs. If you disable it, only the first image/frame is showed.

The second check-box handles the transparency of non-animated GIFs. Check it, if you want to Show transparency in non-animated GIFs too. Please remember if you activate this option! If your main window color (default: black) equals the GIF transparent color, in some cases, you will see just an empty (black) image. Either deactivate this option or use another window color in Properties->Viewing.


Properties, Extensions

Here you choose which file types will be automatically associated with IrfanView.

Those files will show the viewer's icon next to them in directories; double clicking the file name will launch the viewer, with the file already loaded. Click any of the check-boxes next to files you want to associate. If you want them all, click Select all. Clear all removes all associations. Images only associates the file types of all image formats supported by IrfanView with IrfanView.

At the bottom of the selections area is a box for entering other file extensions not listed. Click the box Other, then type in the extensions each separated by a |.

For all users: for Windows XP only, set extensions for all users; default: current user only.

If you activate Load only associated types while moving through directory you will see only files with associated extensions, if you move through a directory with space/backspace.

Hint: You can easily delete unwanted browse extensions, if you select and edit the Load custom file types option/field (e.g. remove TXT).

The option Add IrfanView to "Send To" shell menu inserts IrfanView in the "Send To" menu. The option Add "Browse with IrfanView" for Drives and Folders to shell menu adds IrfanView to the according menu for drives and folders.

Below the selections area is a box you can click to Use Thumbnails for BMPs. It is checked by default. Click it to remove the option.

Icons:

The button Icons opens another dialog.

In the area of the Standard icons you can choose a different icon for all file types associated with IrfanView.

If Use different icons is chosen, than a different, format specific icon is associated to every file type supported by IrfanView. This option requires the installation of the PlugIn Icons, which is done at program installation.


Properties, Viewing

Enable color management: some JPG/TIF files are saved with an embedded color profile and this option will use the profiles. You can set the current monitor profile set in your Windows display settings, or set a custom ICC/ICM file.

If you activate Apply also for images without embedded color profile, color management will be used for ALL (!) loaded images, which makes the loading much slower.

For images without an embedded color profile, you can set a custom input ICC/ICM file. Default is sRGB.

You can apply the profile to the original colors only if the LCMS PlugIn is installed.

Note: the color profiles make the image loading much slower.

Show PNG/TGA/DDS alpha/transparent color: Some PNG/TGAs and DDSs are saved with transparency color or alpha channel. The image areas defined with the alpha channel can be shown with this option with the color of the main window of IrfanView.

Show embedded TIF Annotations: For TIFs created using Wang/Kodak Imaging: the saved text annotations can be showed in the image.

Dither 24 BPP images on 16 BPP displays: Click this, if you want better displaying of the true color images, if you have 65536 colors under your Windows.

Apply gamma correction: Enable it, if you want to change the intensity of each loded image. The default value is 1.00 (no change), the range is between 0.01 (extreme dark) and 6.99 (extrem bright). Use this option for viewing a photo series with to low or to high exposure. This option is especially useful on notebooks, which have been set to a lower display brightness for saving power in battery mode. With an appropriate value above 1.00 for the gamma correction, the images can be viewed nevertheless with their real brightness.

Gamma correction for BW images is activated by default and is used for setting the intensity of resampled black/white images. The default value is 0.50 (darker), the range is between 0.01 and 6.99.

Zoom step sets the factor/value for Zoom In and Zoom Out. The default is 10% increase or decrease each time you zoom the image. Type a number in the box to change this amount.

Zoom calculation sets the method how the zoom values are calculated. Relative: the next zoom value will be calculated using the current/previous zoom value and zoom step; Absolute: the next value will add/subtract the absolute zoom step to the current value; Fixed: the zoom values are taken from a fixed table of common/popular zoom values.

Show full file path in the title bar: Check it, if you want to see the full file path (incl. folders) in the main window title bar. Otherwise only the short name (file name + extension) is shown (default).

Use right mouse button for context menu: The right mouse button can be used for scrolling (default) or to show the context menu.

The next option is Center window when loading new image. Click this and each time you load a new image in the viewer, it will be centered on your desktop.

The next option is Remember the last window size/position. Click this and each time you open the viewer, it will be positioned on your screen where it was when you last closed it. This option works only if you use the following viewing options: 'Fit images to window' or 'Do not fit anything'.

Main window color lets you define the background color of the main window of IrfanView. You can choose any color as background. Default is black.

Status bar text: you can set the text displayed in the status bar field on the right. Check this page for more infos about text possibilities.


Properties, Browsing/Editing

View all files in directory: Click this to have the viewer display in each directory all files with extensions supported by IrfanView. If this is unchecked, you can't open next/previous file with space/backspace or with the toolbar arrows.

Show hidden files/folders during moving through directory: Enable/disable to show hidden files in the actual directory.

If the end/begin of the folder is reached, loop current folder (during browsing): When you reach the last/first of the images in a directory and browse on to the next/previous image, IrfanView shows you a special browse folder dialog to use another folder/subfolder. Checking this option will suppress the dialog and just go on to the first/last image in the current folder.

Beep on folder loop or Screenshot save: get some info if something like this is happened in background.

Jump always to next image if Page keys or Mouse wheel used: Don't scroll large images, jump always to previous/next image, if you press Page keys or roll the mouse wheel.

Use Undo option: Unchecking disables this function of the Edit Menu.

You can set the Options for TXT-files: font, font color (text) and background color.

There is also an option to set the background color which is used for the cut function.

Paste into selection: by default, the pasted image will be stretched to selection, this option allows you to paste the image proportionally.

Import palette: by default, the image colors will be changed 1:1 to colors in the PAL file, this options will search for the best/nearest color in the PAL file.


Properties, Fullscreen/Slideshow

1 Show images/movies with the original size: At this option all images and videos are always displayed on screen without size adaption. Images/movies are automatically centered, if they are smaller than the screen. At too large images/movies only the upper left area of the image, which fits on screen, can be viewed. You can change the displayed area of the image/movie with the arrow keys on the keyboard to view also other areas.

2 Fit to screen: large images only: This is the recommended display option for the full screen mode. Images, which are too large for the current screen resolution, are reduzed in size to fit fully to screen without changing the aspect ratio (proportional). Small images are displayed centered in original size as at first option.

3 Fit to screen: all images/movies: Is similar to second option, but too small images/movies are enlarged proportional to full screen size.

4 Stretch all images/movies to screen: At this option all images/movies are adapted in size to fill out the complete screen. The aspect ratio of the images/movies is not taken into consideration at size adjustment, which can result in a strong distortion of the image.

5 Fit image width to screen width: The image width will be fitted/stretched to screen width, height is proportional.

6 Fit image height to screen height: The image height will be fitted/stretched to screen height, width is proportional. Useful for panorama images.

At full screen mode you can always switch temporary to one of these 6 display options with the keys 1, 2, 3, 4, 5 and 6. Changing the display option during full screen mode with the keys does not change the saved display option set in this dialog.

Set display multiplier: this option is useful for wide screen displays, to set a zoom factor for width/height.

Use "Resample" function for first display of an image: Activate this option to get the best possible version of an image in full screen mode (initial display of the image), if resizing the image is necessary. But the use of resample for size adjustment needs more calculating (loading) time.

Use "Resample" function for zooming: Activate this option to get the best possible version of an image in full screen mode, if resizing/zooming the image is necessary. But the use of resample for size adjustment needs more calculating (loading) time.

Screen color allows the definition of the screen color during loading the images and the remaining area between image border and screen border depending on the current setting of the full screen display option.

With Text font you can set the text font with its text style, size and color, which will be used for displaying the text. The also adjustable Text background color is visible, if the option Show transparent text is not active. In this case the text is displayed in a box with the selected text background color, which guarantees an always good readable display of the text. At transparent text display only the text overlays the image, which has a less annoying effect, but the text can be poor readable depending on the image.

If option Multiple monitor mode is enabled, the images are displayed stretched over all connected monitors forming a big screen.

The last two options are only for full screen mode.

The checked option Hide mouse cursor prevents the mouse cursor from showing on screen while the images are displayed.

Even if the option is set and mouse hidden, if you move the mouse, it will be showed for a short time and you can use it.

Click the option Show text to display the file infos as text as the image appears on screen. IrfanView can display a variety of file infos like name, size, date/time, EXIF/IPTC/Comment infos, etc. Check this page for more infos about text possibilities.


Text/Pattern Options

There is a very powerful option to generate text for several dialogs/features:

· Insert text into selection
· Batch Conversion/Rename
· Print Dialog
· Slideshow
· Full Screen
· Contact Sheet
· HTML Export
· Command line conversion

Available placeholders for file/image properties:

Placeholder Tag name/function

$D - file directory/folder (whole path)
$d - file directory/folder (last subfolder only)
$F - file name (with extension)
$N - file name (without extension)
$O - file extension
$S - file size
$T - file date/time (see Appendix A for additional examples)
$U - current system date/time (see Appendix A for additional examples)
$X - file directory index
$M - page index in a multipage image
$Z - actual zoom size (for full screen/slideshow)
$W - image width
$H - image height
$B - image bits per pixel
$p - image DPI
$C - JPG/Webshots image comment, if available
$I - all IPTC data
$Ix - value of the JPG IPTC tag x, if available (x is a number, see below) (IPTC PlugIn required)
$E - all EXIF data
$Ex - value of the JPG EXIF tag x, if available (x is a number, see below) (EXIF PlugIn required)
| - new line
[A-B] - in combination with $D, $d, $F and $N; get range/partial text from position A to B

example: $N[0-5] => get first 5 characters from the file name

Important/interesting IPTC tags/placeholders, according to IPTC specification:

Placeholder Tag name/function

$I5 - Object Name
$I7 - Edit Status
$I10 - Priority
$I15 - Category
$I20 - Supplemental Category
$I25 - Keywords
$I30 - Release Date
$I35 - Release Time
$I40 - Special Instructions
$I45 - Reference Service
$I47 - Reference Date
$I50 - Reference Number
$I55 - Created Date
$I60 - Created Time
$I65 - Originating Program
$I70 - Program Version
$I75 - Object Cycle
$I80 - Byline (Author)
$I85 - Byline Title
$I90 - City
$I92 - Sublocation
$I95 - Province State
$I100 - Country Code
$I101 - Country
$I103 - Original Transmission Reference
$I105 - Headline
$I110 - Credit
$I115 - Source
$I116 - Copyright
$I120 - Caption
$I121 - Local Caption
$I122 - Caption Writer

Important/interesting EXIF tags/placeholders, according to EXIF specification:

Placeholder Tag name/function

$E270 - ImageDescription
$E271 - Make
$E272 - Model
$E274 - Orientation
$E282 - XResolution
$E283 - YResolution
$E296 - ResolutionUnit
$E305 - Software
$E306 - DateTime (see Appendix A for additional examples)
$E318 - WhitePoint
$E531 - YCbCrPositioning
$E532 - ReferenceBlackWhite
$E33434 - ExposureTime
$E33437 - FNumber
$E34850 - ExposureProgram
$E34855 - ISOSpeedRatings
$E36864 - ExifVersion
$E36867 - DateTimeOriginal (see Appendix A for additional examples)
$E36868 - DateTimeDigitized (see Appendix A for additional examples)
$E37121 - ComponentsConfiguration
$E37122 - CompressedBitsPerPixel
$E37377 - ShutterSpeedValue
$E37378 - ApertureValue
$E37379 - BrightnessValue
$E37380 - ExposureBiasValue
$E37381 - MaxApertureValue
$E37382 - SubjectDistance
$E37383 - MeteringMode
$E37384 - LightSource
$E37385 - Flash
$E37386 - FocalLength
$E37510 - UserComment
$E37520 - SubsecTime
$E37521 - SubsecTimeOriginal
$E37522 - SubsecTimeDigitized
$E40960 - FlashPixVersion
$E40961 - ColorSpace
$E40962 - ExifImageWidth
$E40963 - ExifImageHeight
$E41483 - FlashEnergy
$E41486 - FocalPlaneXResolution
$E41487 - FocalPlaneYResolution
$E41488 - FocalPlaneResolutionUnit
$E41492 - SubjectLocation
$E41493 - ExposureIndex
$E41495 - SensingMethod
$E41728 - FileSource
$E41729 - SceneType
$E41985 - CustomRendered
$E41986 - ExposureMode
$E41987 - WhiteBalance
$E41988 - DigitalZoomRatio
$E41989 - FocalLengthIn35mmFilm
$E41990 - SceneCaptureType
$E41991 - GainControl
$E41992 - Contrast
$E41993 - Saturation
$E41994 - Sharpness
$E41995 - DeviceSettingDescription
$E41996 - SubjectDistanceRange
$E400 - GPSVersionID
$E401 - GPSLatitudeRef
$E402 - GPSLatitude
$E403 - GPSLongitudeRef
$E404 - GPSLongitude
$E405 - GPSAltitudeRef
$E406 - GPSAltitude
$E407 - GPSTimeStamp
$E416 - GPSImgDirectionRef
$E417 - GPSImgDirection
$E429 - GPSDateStamp
$E499 - returns GPSLatitude and GPSLongitude values in one line, OK for e.g. Google Maps for HTML-Export feature

Note: You can also use special EXIF tags from vendor specifications (Nikon, Canon, Fuji, Casio, Olympus).

Here is the list of tags for Nikon cameras (many models):

Placeholder Tag name/function

$E1 - Data Version
$E2 - ISO Setting
$E3 - Color Mode
$E4 - Image Quality
$E5 - White Balance
$E6 - Image Sharpening
$E7 - Focus Mode
$E8 - Flash Setting
$E9 - Flash Mode
$E11 - White Balance Adjustment
$E14 - Exposure Adjustment
$E15 - ISO Selection
$E18 - Flash Compensation
$E19 - ISO 2
$E128 - Image Adjustment
$E129 - Tone Compensation
$E130 - Auxiliary Lens
$E131 - Lens Type
$E132 - Lens
$E133 - Manual Focus Distance
$E134 - Digital Zoom
$E135 - Flash Used
$E136 - AF Focus Position
$E137 - Bracketing
$E141 - Color Mode
$E144 - Light Type
$E146 - Hue Adjustment
$E148 - Saturation Adjustment
$E149 - Noise Reduction
$E167 - Total Pictures

Here is the list of tags for Canon cameras (many models):

Placeholder Tag name/function

$E1 - Macro mode
$E2 - Self timer
$E3 - Quality
$E4 - Flash mode
$E5 - Sequence mode
$E7 - Focus mode
$E10 - Image size
$E11 - Easy shooting mode
$E12 - Digital zoom
$E13 - Contrast
$E14 - Saturation
$E15 - Sharpness
$E16 - ISO Value
$E17 - Metering mode
$E18 - Focus type
$E19 - AF point selected
$E20 - Exposure mode
$E25 - Focal length
$E28 - Flash activity
$E29 - Flash details
$E32 - Focus mode 2
$E40 - White Balance
$E41 - Sequence number
$E42 - AF point used
$E43 - Flash bias
$E44 - Subject Distance
$E60 - Image Type
$E70 - Firmware Version
$E80 - Image Number
$E90 - Owner Name
$E93 - File Number
$E120 - Camera Serial Number

Appendix A

By default, all date/time placeholders deliver full text including date and time. If you want to get only specific values, you can use additional placeholder options (ANSI C compatible):

%Y - year, 4 numbers
%y - year, 2 numbers (00-99)
%m - month
%d - day
%H - hour
%M - minute
%S - second

Examples for file, EXIF or system date: Year: 2005, month: 11, day: 29

Placeholder Result text

$T(%d.%m.%Y) 29.11.2005
$T(%Y%m%d) 20051129
$T(%d%m%y) 291105
$E36868(%Y_%m_%d) 2005_11_29
$T(%d_%m_%Y) 29_11_2005
$T(day:%d, month:%m, year: %Y) day: 29, month: 11, year: 2005


Properties, Video/Sound

This dialog shows you options for video/sound playing. Videos/sounds can be played in the main window (default) or with the english IV_Player PlugIn in a separate window. For playing video/sound also the PlugIn Video must be installed, which is done during program installation.

Use DirectShow for playing: this option can play (with installed codecs!) most video formats.

If activated, you can use the Pause key for pause/resume and left/right arrow keys to seek in the video, see Hotkeys page.

Apple QuickTime options:

IrfanView has QuickTime support! This allows IrfanView to read following formats: MOV, QTIF, Mac PICT, FLI/FLC. You can enable/disable this support for these formats. To play QuickTime files with IrfanView, the Quicktime PlugIn and Apple QuickTime must be installed.


Properties, File Handling

The first section allows setting a default directory for Copy operations. Type in a directory, or click the browse button to select one. If you activate the check-box Show Copy-Dialog below, IrfanView will show you a dialog with options before making any copies.

At second section you can set a default directory for Move operations. Activate the check-box Show Move-Dialog to have IrfanView show you a dialog with options before moving files.

The third section has several check-boxes that refer to delete operations.

You may choose:

If Ask me before deleting files is checked, IrfanView will ask for your permission before deleting files.

If Deleted files to Recycle Bin is checked, files will be sent to Windows Recycle Bin at delete.

If Jump to next file after deleting/moving is checked, the next file is automatically opened after execution of one of these actions.

If Close IrfanView after file delete is checked, IrfanView will exit immediately after deleting a file.

Display 'Save'-Dialog for 'File->Save': When checked, clicking on Save will bring up the standard dialog, through which you can choose a directory in which to save the image. Uncheck the option and Save will resave an image in place of the original. Note that this is only for Save; clicking on Save As still brings up the dialog box.

Ask to overwrite for 'Save' and 'Save As': Checking makes the viewer ask permission before it destroys an old file in favor of a new one.

Ask to rename if incorrect extension: While loading a file which has had the name given an incorrect extension, IrfanView will ask permission to change it. If you uncheck this box, the viewer will load the file without making any changes.

If the option Don't change directory index after file renaming is checked, the current directory index will be not changed if you rename a file, otherweise the index will be changed to the new position in the file list.


Properties, Language

This dialog allows you to change (on-the-fly) the IrfanView language.

Load Unicode PlugIn: the Unicode PlugIn allows IrfanView to open file names using unicode characters, like Japanese, Chinese, Arabic, Hebrew, Eastern Europe etc. characters.

You have to restart IrfanView to get the PlugIn active.

The language DLLs are located (must be installed) in the IrfanView "Languages" folder. Choose the language in the language list and press OK to activate it.

Visit this site for available languages and SDK for translators:

http://www.irfanview.com/languages.htm


Properties, PlugIns

There are several options for loading of DigiCam RAW formats. If you want to use Canon DLLs for CRW/CR2 loading, please read the "i_plugins.txt" file for actual infos and links.

Default text for TTF files allows you to specify the text, which is used for displaying true type font files. Enter the text, which is best for you to compare TTFs and to check the supported characters of the font.


Properties, Miscellaneous

Open Slideshow dialog in last used slideshow folder: Remember the slideshow folder or use the current folder.

Open Batch dialog in last used batch folder: Remember the batch folder or use the current folder.

Show MRUDs in menu File: Enable/disable MRUDs (most recently used directories) in the File Menu.

Clear MRUDs list: Clicking this removes all the names from the Most Recently Used Directories list; this option may be used at any time.

Create desktop link for IrfanView: Places an icon on your Windows desktop that can be double clicked to start the viewer. With this icon you can also start IrfanView by pressing the key combination Ctrl+Shift+I.

A box allows you to "Set external editor", you can set up to 3 external editors.. Type in the location of another graphics editor with the full path to where it is on your hard drive. You can also click the Browse button to locate the program. Now when you click the Open with external editor option on the File Menu or Thumbnail window, your selected editor will be launched, with the current image shown in it.

The option Send short file name to external viewer/editor causes on activation, that the file name and path of the current image is given to the editor in 8.3 format. This is necessary for old 16 bit programs.

Example:

"C:\Documents and Settings\User\My Documents\My Pictures\My Image.jpeg"

is given as

"C:\DOCUME~1\USER\MYDOCU~1\MYPICT~1\MYIMAG~1.JPE".

Hint: You can send special start parameters to external editors.

By default, IrfanView sends only the filename to editor. If you want to send more parameters, you have to use "" and send file name using %1 placeholder.

Some examples for IrfanView and Total Commander:

path\i_view32.exe

=> this is the default syntax, open filename in another IrfanView/Editor.

path\i_view32.exe "%1"

=> same result as default syntax, send filename as first/only parameter.

path\i_view32.exe ""%1" /fs"

=> send filename and open it in fullscreen mode.

path\i_view32.exe ""%1" /resize=(100,100) /aspectratio /resample /convert=d:\temp\thumb.jpg"

=> resize current image as save in a special folder.

path\i_view32.exe ""%1" /convert=d:\temp\$N.jpg"

=> convert current file/image to JPG and save in a special folder.

path\totalcmd.exe "/O /T /R="%1""

=> send filename to Total Commander and open the folder in a new tab on the right.


Start Multimedia Player

Note: The Multimedia Player is only available with english PlugIn IV_Player, download and install:

http://www.irfanview.com/plugins.htm

Click on the Options Menu, then Start Multimedia Player.

The Multimedia Player allows IrfanView to play video, sound and audio-CD files like:

AVI, ASF, CDA, MP3, MPG/MPEG, MOV, MID/RMI, WAV, WMA , WMV, etc.

The player can play these formats through the MCI interface or using the Microsoft Media Player (recommended).

The player can extract frames from AVI files and has a built-in audio CD player.

You can close the Player with ESC key.


Stop Animation

Click on the Options Menu, then click Stop Animation to perform this action.

This is used to "freeze" animated GIFs, animated cursors (ANIs) or MNG animations. The motion stops and the GIF/ANI is made a single image. It can be saved as a non-animated image.

If you want to save all the frames, use Extract all frames.


Extract all frames

Click on the Options Menu, then Extract all frames. A dialog allows you to select the directory in which the frames will be stored. Find the directory you want, then click OK to have the images stored there. This option is available for animated GIFs, animated cursors (ANI) and supported video files.

The frames from the image are placed into the directory with names like this:

imagename_frame_000.bmp

where imagename is the name of the original image and 000 is the number of the frame.

To exit without extracting the frames, click Cancel.


Multipage images

Click on the Options Menu, point at Multipage images. A sub-menu opens with several options to click.

The options are:

Create Multipage TIF

Check this option to create multipage TIF images from single or multipage images. You can save each page with a different TIF compression. If you want to set same compression for all pages, set the compression before you add any image.

Create Multipage PDF

Check this option to create multipage PDF images from single or multipage images.

Note: PDF format is used as PlugIn, download and install:

http://www.irfanview.com/plugins.htm

Create Multipage JPM

Check this option to create multipage JPM images. You can add/remove images to file list and set JPM save options for each (image) page. If you want to set same compression for all pages, set the compression before you add any image. Set the destination directory/file and press the button Create JPM image or Exit to exit.

Note: JPM format is used as PlugIn, download and install:

http://www.irfanview.com/plugins.htm

Edit Multipage TIF

Check this option to edit (arrange, delete or add) pages/images in the opened multipage TIF file. The changes can be applied to the original file or a new TIF file is created (recommended).

Append current image to TIF

Check this option to append the displayed image to TIF file. The actual TIF save option (save dialog) will be used for the new page.

Print all pages

Click Print all pages. The print dialog may be used to send all pages of the image to your printer.

Extract all pages

Click Extract all pages. A dialog allows you to select the directory, in which the pages will be stored.

The pages from the image are placed into the directory with names like this:

filename_irfanview_extract_000.bmp

where name is the name of the file and 000 is the number of the page. The pages are stored as bitmap (BMP) files.


Send file by EMail

Note: The EMail feature is only available with EMail PlugIn, download and install:

http://www.irfanview.com/plugins.htm

Click on the Options Menu, then Send file by EMail.

Note: Default is the MAPI option, which will start your current email program. You can leave all email plugin dialog values empty and fill the values in your normal email program, from the address book etc.

SMTP: check your Internet Service Provider (ISP) documentation or your actual email program for correct SMTP settings.

There is a simple address book for your buddies.

Click on Send to send the image or Exit to leave the dialog without sending.


JPG Lossless Operations

JPG Lossless Rotation

Note: JPG lossless operations are only available with PlugIn JPG_Transform. Download and install:

http://www.irfanview.com/plugins.htm

Note: This feature is available only, if you have loaded a JPG file.

Click on the Options Menu, then JPG Lossless Rotation. A dialog allows you to rotate, flip, optimize or clean one or many JPG files.

Note: You can process many JPG files, if you open the Thumbnails window and select several JPGs before you start this dialog.

Note: Lossless JPG operations like flip or rotate work only if the image height is a multiple of 16 (JPG specification). If this is not the case, unused image lines will be removed.

Note: Your original JPG file will be changed/overwritten!

Click Start to transform the loaded JPG or Cancel to exit.


JPG Lossless Crop

Note: JPG lossless crop is only available with PlugIn JPG_Transform. Download and install:

http://www.irfanview.com/plugins.htm

Note: This feature is available only, if you have loaded a JPG file and if a rectangle selection is created/showed in the image.

Click on the Options Menu, then JPG Lossless Crop. A dialog allows you to set where the result crop file will be saved.

Note: You can process many JPG files, if you open the Thumbnails window and select several JPGs before you start this dialog.

Note: Lossless JPG crop works better, if the selection coordinates/dimensions are a multiple of 16 (JPG specification). If this is not the case, the result image may have slightly different dimensions or the start point.

Click Start to crop the loaded JPG or Cancel to exit.


Capture/Screenshot

Click on the Options Menu, then Capture/Screenshot. A dialog allows you to capture portions of your screen.

Capture area:

Use the option buttons to capture from your Whole screen - all monitors, Whole screen - current monitor (monitor where mouse cursor is located !!!), a Foreground window, a Foreground window - Client area (window without caption, menu and status bar) a Custom region/rectangle area (selected by the mouse after you press the Start button, or hotkey: CTRL + Print) or an Object (like button, window) selected with the mouse.

Note: if Custom region/rectangle or Object capture is used, no timer will be started.

Note: if Object capture is used, the object under the mouse will be highlighted with a frame rectangle. Press left mouse button to capture it, ESC to stop capturing. You can restart it again using the defined hotkey. Press right mouse button to bring a background (partially visible) window to foreground.

Note: if Object capture is used, the Auto-Scroll option may not work with all objects/windows, e.g. like web browser windows, Acrobat Reader, Word etc. but it should work pretty good with many standard system windows/objects.

Capture method:

You can capture with a self-defined hotkey or use the automatic capturing. For automatic capturing set a timer value. The value will be the number of seconds (can be also a decimal value) apart the viewer will take "snapshots" of the screen or window. The hotkey is valid for the duration of current IrfanView session.

Capture options:

If you want to see the mouse cursor in your screenshot image, check Include mouse cursor option. The Auto-Scroll option can be used with many objects/windows, but not all support it.

Saving method:

You can display each captured image in the main window of IrfanView or you can save it directly to disk.

If you use Save captured image as file, you can set:

• Filename for images. You can set a fixed name, or use some time stamp patterns. Default is: capture_%d%m%Y_%H%M%S. This will generate a file name with a system time stamp, like "capture_29112005_123620". %d = day, %m = month, %Y = year, %H = hour, %M = minute, %S = second.

• Destination directory for images. Type in a directory path or use the Browse button to find the directory you want to use.

• Save as box lets you choose which image format will be used to store the screens on your disk drive. Click the arrow and select one of the formats to change from the default JPG . The Options button brings up another dialog box with special options for certain file types. (Info: PNG is a very good format for most screenshots.)

Click Start to start capturing or Cancel to exit.

After start, the IrfanView window is minimized. Now use the defined hotkey (if hotkey capturing used) to capture any foreground/activated window or desktop. You can make several shots using the hotkey.

Note: Click again on the Options Menu and then Capture/Screenshot to stop any eventually started capture timer.


Start OCR

Note: OCR is only available as a PlugIn. Download and install:

http://www.irfanview.info/plugins/kadmos/

Note: The option can be used on a smaller portion (rectangle selection) of an image as well as on the entire image.

Click on the Options Menu, then Start OCR. A window is opened which allows you to use OCR (Optical Character Recognition) to acquire text from image pixels and copy it to clipboard or save as file.


Sort directory files

Click on the Options Menu and point at Sort directory files. A sub-menu appears with the choices by Name, by Name (XP style), by Date, by Size and by Extension. These are available in either ascending or descending order. The final choice is No sort. Click your choice.

The sort option by Name differs from by Name (XP style) by a different interpretation of numbers in file names. With by Name File10.jpg is sorted before File1.jpg. With Name (XP style) the sort order is File1.jpg before File10.jpg.

When you activate any of the options that use the space bar to move forward and backspace to move backward through the files, such as Full Screen mode or Thumbnails, they will be in the order set by your sort option.

Hint: In the Thumbnail window, you have additional sort options: Sort by EXIF date (date taken), Sort by Image Width/Height or manual sort using Drag & Drop etc.


Set as Wallpaper

Click on the Options Menu and point at Set as Wallpaper. A sub-menu appears with the choices Centered, Tiled, Stretched and Previous wallpaper. Choose one to have the current image made into a background for your Windows desktop.

Centered appears as just one image on the center of the screen.

Tiled appears as multiple images, taking up the whole screen. (The desktop icons are on top of the wallpaper.)

Stretched appears as just one image on the center of the screen, but the image is enlarged to cover whole screen (non proportional).

Stretched - proportional appears as just one image on the center of the screen, but the image is enlarged using aspect ratio.

Previous wallpaper restores the image that was replaced by this operation.

IrfanView will save a BMP file called IrfanView_Wallpaper.bmp in your user settings folder (Documents and settings\User\Application data\IrfanView\) and set it as wallpaper.


Minimize

Click on the Options Menu, then Minimize to minimize the viewer to the Windows task bar (the 'Boss' key ;-) ).

Click the IrfanView button on the task bar to restore the viewer to use.

Another way to minimize is to click the minimize box in the upper right corner of the viewer window. It looks much like the underline ( _ ) character.


Always on Top

Click on the Options Menu, then Always on Top.

IrfanView will always be visible on your screen, even when you open other programs. This can be removed by clicking Always on Top again.

Note: This option will be saved and restored after next IrfanView start.


Status Bar

The status bar shows some informations about the displayed image at the bottom side of the main window. These informations are described in the Image->Information dialog.

Turn the status bar on by using the View Menu, and selecting the Show/hide status bar option. Turn the bar off by again clicking on View and Show/hide status bar.

You can set the text showed in the field on the right.

If an image/file is tagged (hotkey: X), there will a "(X)" showed at the end of the field on the right.


Title Bar/Caption

The title bar shows some informations about the displayed image at the top side of the main window.

These informations are:

· File name of the opened file (with full path or only file name)
· Pixel coordinates, color value and palette index - when you click (and the mouse) into the image
· Selection rectangle coordinates, dimensions and aspect ratio - if a selection rectangle is visible
· Dimensions of the zoomed image - if zoom activated

Turn the title bar on by using the View Menu and selecting the Show/hide caption option. Turn the bar off by again clicking on View and Show/hide caption.


Directory count display

On the toolbar, it shows how many images are in the current directory and which number is selected. "1/5" means the selection is number one out of five images in the directory.

To set a custom directory index, type a number into the box. The viewer will open that image.

For multipage images, this gives the page location and number of pages. "1/5" means page one of five.

Use the mouse or SHIFT+T to jump into the edit field.

Change the text and press Enter to cause an action. Possible values:

· X or X/Y = load file number X, from current folder
· page X or page X/Y = load page number X, if multipage file
· Text/pattern: filter files from current folder, using file patterns.

Examples:

*.jpg = filter/get JPGs only
cat*.jpg = filter/get all JPGs starting with "cat"
cat* = filter/get all files starting with "cat"

After using patterns, press F5 or U (update = refresh) to get the default/original directory file list.


Full Screen

Click on the View Menu, then Full Screen. The image will be displayed centered on a black background, which fills the entire screen. Move through the images in the current directory using the space bar or right mouse button for the next image and backspace or left mouse button for previous.

To cancel the full screen mode, press the Enter or the ESC key. If you click with left mouse button in the upper left or upper right corner, the full screen mode will also be canceled.

The current display option can be changed temporary at any time with the keys 1, 2, 3, 4, 5 and 6.

Click the Options Menu, then Properties and finally the Full Screen/Slideshow tab for setting all full screen options.


Display options

Note: Only one of these options is active. Please remember when you change a display option and set it back in case of "problems"!

Fit window to image

The window will be resized to fit the image. This is the recommended viewing option.

Fit images to window

The image will be resized to fit the window.

Fit only big images to window

Click this to have the viewer reduce oversized images until they can be seen fully in the window. Images smaller than the window will not be changed.

Fit images to window width/height

The image will be resized to fit the window width/height.

Fit images to desktop

The window/image will be resized proportional to fit the desktop size.

Fit only big images to desktop (this option has been set as default option)

Click this to have the viewer reduce oversized images until they can be seen fully on the desktop. Images smaller than the desktop will not be changed.

Fit images to desktop width

The window/image will be resized to fit the desktop width.

Fit images to desktop height

The window/image will be resized to fit the desktop height.

Do not fit anything

No change in window size/position if the user loads a new image.

Use "Resample" for fitting

This option will improve the display quality for fitted images (fit to window or desktop). The option is slower than normal display and needs more RAM.

Use "Resample" for zooming

This option will improve the display quality for zoomed images. The option is slower than normal display and needs more RAM.

Center image in window

The image can be showed centered in the window or in the top-left window corner.


Next File in Directory

Click on the View Menu, then click Next File in Directory (or use the Next File tool on the toolbar). The viewer displays the next supported file.

You can also use the Space key to move to the next file in the directory. If the image does not have a vertical scrollbar at its right edge or you have enabled the appropriate property option at Browsing/Editing, you can also use the Page Down key or roll the mouse wheel down to move to the next file in the directory.


Previous File in Directory

Click on the View Menu, then click Previous File in Directory (or use the Previous File tool on the toolbar). The viewer displays the previous supported file, in reverse sequence.

You can also use the Backspace key to move to the previous file in the directory. If the image does not have a vertical scrollbar at its right edge or you have enabled the appropriate property option at Browsing/Editing, you can also use the Page Up key or roll the mouse wheel up to move to the previous file in the directory.


First File in Directory

Click on the View Menu, then First File in Directory. The viewer displays the first supported file in the current directory.


Last File in Directory

Click on the View Menu, then Last File in Directory. The viewer displays the final supported file in the current directory.


Random File in Directory

Click on the View Menu, then Random File in Directory. The viewer displays a random supported file from the current directory.


Refresh

Click on the View Menu, then click Refresh. The image on screen will be updated.

The directory will also be updated and the directory count display will be created new.

If you have an editing outline around an area of the image, Refresh will remove it.


Start/Stop Automatic Viewing

Click on the View Menu, then Start/Stop automatic viewing.

The window-slideshow will be started, with images from the current directory, using the actual automatic slideshow timer value.

Click again on this menu to stop the automatic viewing.


Zoom In

Click on the View Menu, then Zoom In (or use the Zoom In tool on the toolbar).

Increases size of the image. Click again for more increase.

The amount of each increase can be set using Zoom step on the Options Menu->Properties->Viewing tab. The default is 10% increase per use, calculated on the previous zoom value.

Note: Zoom changes only the display size, not the image size! If you want to change the image size, see the menu Image->Resize/Resample.


Zoom Out

Click on the View Menu, then Zoom Out (or use the Zoom Out tool on the toolbar).

Decreases size of the image. Click again for more decrease.

The amount of each decrease can be set using Zoom step on the Options Menu->Properties->Viewing tab. The default is 10% decrease per use, calculated on the previous zoom value.

Note: Zoom changes only the display size, not the image size! If you want to change the image size, see the menu Image->Resize/Resample.


Lock Zoom

Click on the View Menu, then Lock Zoom.

If checked, the actual zoom factor is saved and used for all new loaded images.

This option is activated only for current session.

Click this option again (or hotkey: SHIFT + L) to deactivate Lock Zoom.


Original size

Click on the View Menu, then Original size.

Removes Zoom In or Zoom Out, returns image to its normal size.


Lock Scroll position

Keep Scroll position

Click on the View Menu, then Keep Scroll position.

If checked, the current scroll position won't be initialized if new images are loaded (if scrollbars showed).

This option is activated only for current session.

Click this option again to deactivate it.


Show HEX view

Click on the View Menu, then Show HEX view.

This option will show you the HEX view of the current image.

You can see all bytes in HEX and ASCII mode of the opened file.

This option is used by advanced users.


Multipage images

Click on the View Menu, point at Multipage images. A sub-menu opens with several options to click.

The options are:

Note: Following menus are activate only, if you have an image with many pages (some DCX/LDF/TIF files) loaded.

Next page

Click Next Page (or use the Next Page tool on the toolbar). The viewer displays the next page in sequence.

Previous page

Click Previous Page (or use the Previous Page tool on the toolbar). The viewer displays the previous page in reverse sequence.

First page

Click First Page. The viewer displays the beginning page of the image.

Last page

Click Last Page. The viewer displays the final page of the image.

Open page number ...

Click this menu and a dialog will be displayed. You can enter a page number to open.

Show page thumbnails ...

Click this menu and a dialog with page thumbnails will be displayed. Use double click or space/enter to load a page in the main window.

Use TAB to switch focus to main window. The dialog uses the thumb settings from the Thumbnails window.

Start animation

Click this menu and choose the time intervall between the pages. The animation will be started.

Stop animation

Click this menu to stop the animation.


IrfanView Help

Click on the Help Menu, then Help. This help file (the one you are reading now) will appear.

The first version of this WinHelp file was written by Steve Clark, changes after IrfanView version 3.02 by Irfan.

Version 3.97 updated by Michael Ofner.

Many many thanks Steve and Michael!


Installed PlugIns

Click the Help Menu and select Installed Plugins.

Displays a dialog with properly installed IrfanView Plugins.

When done viewing the information, click OK.


Thanks

Click the Help Menu and select Thanks.

Displays a message of thanks from me, Irfan Skiljan, to all the users of IrfanView.

When done viewing the information, click OK.


Registration

Click the Help Menu and select Registration. A dialog allows you to enter your name and a registration code.

Although IrfanView is free for non-commercial use, it's best to register your copy. The small fee helps the author continue developing one of the best viewer/tools on the WWW.

When done registering, click OK.


Check for updates

Displays IrfanView homepage in your webbrowser with the infos about the current program version and the version installed on your system.


Usage Info

Click the Help menu and select Usage Info. A dialog will explain who is allowed to use IrfanView for free and where to send your registration fee.

Also explains where to send bug reports and other messages to the author. Tells you where to find the IrfanView website.

When done viewing the information, click OK.


About IrfanView

Click the Help Menu and select About IrfanView (or use the About tool on the toolbar).

Gives the current version number of IrfanView, e-mail address for the author and a photograph of his beautiful home town (worth a look, just for that).

When done viewing the information, click on the bar that says "Click".


Update/Contact

The latest edition of IrfanView can be downloaded from the Internet at:

http://www.irfanview.com

http://www.irfanview.net

http://www.irfanview.info

http://www.irfanview.at

or

http://irfanview.tuwien.ac.at

The author of the program, Irfan Skiljan, can be E-mailed at:

irfanview@gmx.net

If you want to register the program with him (only $12 US or EUR 10)

send your cash payment to:

Irfan Skiljan

Postfach 48

2700 Wiener Neustadt

Austria, Europe

or donate on PayPal (https://www.paypal.com) to email address: irfanview@gmx.net

Thank you very much!

Commercial users: Please contact me per email for prices and discounts.


.topic 1610
AIF
Sound file, Audio Interchange Format from Amiga computers.
.topic 1620
ANI
Animated Cursor format for Microsoft Windows.
.topic 1630
AU
Encoded Audio format used by Sun and NeXT machines.
.topic 1640
AVI
Audio Video Interleaved: Microsoft's video format for Windows.
.topic 1650
BMP
Windows Bitmap: The image format Microsoft created for use in Windows.
.topic 1660
CAM
Casio digital camera file.
.topic 1670
capture
To store a part of the monitor screen in memory and turn it into an image, which can be saved and modified just like any other image. Capture utility programs (such as that in IrfanView) let you choose exactly which part of the screen to save.
.topic 1680
check-box
A small square box, usually to the left of some text; clicking the box with the mouse makes a mark appear, showing it as a selected option. The text identifies what the option is for. Often check-boxes appear in groups to allow multiple selections.
.topic 1690
clipboard
An area used by Windows to store various file information for cut/copy/paste operations. For programs that support the clipboard (most do), you can cut or copy from one application and paste into another. An example: an image edited pixel-by-pixel in Windows Paint can be copied to the clipboard, then pasted into IrfanView, from which it can be saved in a variety of formats. (Paint supports only a few file formats.) Each time you cut or copy to the clipboard, it replaces whatever was there before.
.topic 1700
CLP
Windows clipboard format; used to store various types of files for Windows cut/copy/paste operations.
.topic 1710
CPT
CorelDraw Photopaint image, IrfanView can read only older versions, Photopaint 6, 5, etc.
.topic 1720
CUR
Cursor Resource file format for Microsoft Windows; contains image data for cursors used by Windows applications. (Files may contain multiple images plus a directory.)
.topic 1730
DAT
Video CD format; don't confuse this with Windows dat files, which hold information about programs and such.
.topic 1740
DCM/ACR/IMA
Dicom/ACR file format for medical images.
Note:	DICOM/ACR format hasn't a specific header and IrfanView can't recognize all such images. If you want to read Dicom/ACR images with IrfanView, the file extension MUST BE ".dcm", ".acr" or ".ima".
.topic 1750
DCX
Multipage PCX file format.
.topic 1760
dialog
In Windows, a box that appears when you click a menu item or button. The box will contain items from which you can select, to more accurately perform a function. For example: a files dialog allows you to browse through the files on your hard drive, choose the one you want, and open it.
.topic 1770
DIB
Device Independent Bitmap: another form of BMP, used widely with printers and display devices.
.topic 1780
DJVU
DejaVu image format from AT&T with good compression.
.topic 1790
DLL
Dynamic Link Library; under Windows, a file that can contain portions of a program, to make the program more useful. It can also hold information to help the main program do its job better. Many dll's hold icons that can be opened in IrfanView.
.topic 1800
drag
Pulling the mouse, usually while holding down one of the buttons. This is used to highlight or outline an area, so that some special operation (such as cut or paste) can be performed on the area you select.
.topic 1810
EMF
Enhanced Metafile Format; Microsoft's device independent vector format for Windows.
.topic 1820
EPS
Encapsulated PostScript: mostly used for desktop publishing (DTP); uses the Postscript page description language; these can be used on both PCs and Macs.
Note:	IrfanView can open only EPSs with a TIFF preview image.
.topic 1830
EXE
Executable file under DOS and Windows. Many exe's contain icons that can be opened in IrfanView.
.topic 1840
extension
The part of a filename that comes after the last dot (.) character. In a filename such as "i_view32.exe" the "exe" is the extension and tells us, this is an executable file - one that performs a function. (In this case, it is the IrfanView program file.) Some common graphics file extensions include .jpg, .gif, and .tif.
.topic 1850
fill color
A color used to fill a large area, as opposed to drawing individual lines. If you see a drawn circle and the inside area of the circle is yellow, yellow is the fill color.
.topic 1860
filter
For images: a small computer program that performs some action on the image, changing it in specific ways. Filters can be used to smooth or roughen an image, correct or remove the color and perform many other editing functions. Most often filters are used to create special effects.
.topic 1870
Filter Factory
A creation tool for image filters. These filters are Photoshop compatible. With filters you can produce an almost endless series of special effects from very tiny changes in the image to complete makeovers. There are thousands of such filters available. Many can be found for free on the internet.
.topic 1880
FLI/FLC
Autodesk animation format.
.topic 1890
FPX
Flashpix format.
.topic 1900
FSH
EA Sports FSH Format.
.topic 1910
G3
Group 3 Facsimile Apparatus format, used for document transmission.
.topic 1920
GIF
Graphics Interchange Format: The format created by CompuServe for the faster exchange of graphics over modem lines; widely used in Web publishing; can contain animations.
.topic 1930
grayscale/greyscale
Despite the name, grayscale (or greyscale) is actually a mode of color; it uses 256 shades of grey to render an image, producing a richly varied tonal quality; black and white uses just two colors, black with white spacing to render.
.topic 1940
ICL
Icon Library format, used by many icon editing programs; can contain one or many icons for use in other programs.
.topic 1950
ICO
Windows Icon: used by Windows to represent programs and other files.
.topic 1960
IFF/LBM
Interchange File Format: the image format standard for Amiga computers.
.topic 1970
image
The graphics you see on your screen; they can be photographs showing your home town, line drawings showing Mickey Mouse, even the undulating, weird backgrounds you see at many WWW websites. They can range in size from a single dot on your screen (so small it is difficult to see), to huge objects that go off the screen in all directions, causing you to scroll the screen back and forth, up and down, to see them.
.topic 1980
IMG
GEM Raster image, from Atari.
.topic 1990
interlaced
In terms of some image types, such as GIF: an image which builds up on the screen, showing the full image, but of low quality, then gradually building until the full quality image is visible. This allows the user to see some of the image as it builds. This is much the same as progressive.
.topic 2000
JP2/JPEG2000
JPEG 2000 format. The new web standard, using wavelet compression, offers better compression than old JPEG.
.topic 2010
JPG/JPEG
Joint Photographic Experts Group: 24-bit support and fine compression make this format another standard for publishing on the Web.
.topic 2020
KDC
Kodak digital camera format.
.topic 2030
landscape
In reference to printers; printing an image so that it is faced with one long edge of the paper nearest you, as most landscape paintings would be faced. The other standard facing is portrait.
.topic 2040
LDF
LuraDocument Format: wavelet compression image format from LuraTech GmbH, Germany. Format enhanced to improve on JPG and other scanned images, with better quality and more control options.
Note:	IrfanView can't save images larger than 4096x4096 as LDF and max. 6 pages per LDF image.
.topic 2050
LWF
LuraWave Format: wavelet compression image format from LuraTech GmbH, Germany. Format enhanced to improve on JPG, with better quality and more control options. IrfanView is the first viewer with LWF support.
Note:	IrfanView can't save images larger than 4096x4096 as LWF.
.topic 2060
Mac PICT
Macintosh PICT format.
.topic 2070
maximize
To "blow up" a program window so that it fills the entire screen. This is useful if the information in the program does not fully display at a smaller screen size.
.topic 2080
MED
MED/OctaMED sound format.
.topic 2090
MID
Musical Instrument Digital Interface (MIDI): a file created with a set of standard formats to instruct electronic musical instruments how to play. With a MIDI player (such as IrfanView), you can play a basic version of the song through the computer's speakers.
.topic 2100
minimize
To remove a program, such as IrfanView, from the screen and have it appear as a button on the task bar at (usually) bottom of the screen. Click the button to restore the program to the screen.
.topic 2110
MOV
QuickTime Movie format; Apple Computer's format for movie and other time-based data file storage.
Note:	IrfanView uses the MS Active Movie for MOV playing. Active Movie can't play all MOVs, especially many QuickTime-created MOVs. Installation of Apple QuickTime is recommended - see also Properties->Video/Sound in IrfanView.
.topic 2120
MP3
MPEG audio layer 3 format, very popular :-)
.topic 2130
MPG/MPEG
Moving Pictures Experts Group: a standard for full-motion video; provides 352x240 resolution, 30 frames per second and CD-quality sound. Is also used to compress audio without video.
.topic 2140
option button
A small circle, usually to the left of some text. Clicking the circle with the mouse makes a mark appear, showing it as a selected option. The text identifies what the option is for. Option buttons appear in groups, to allow a single selection from many choices; clicking one automatically "unclicks" all the others. Sometimes these groups are known as radio buttons, for their similarity to selecting a station on a radio.
.topic 2150
outline
Highlighting an area you want to work on.
Put the mouse cursor at one corner of the area you want to outline. Press the left button and hold it. Drag the mouse across and down (or up) to the opposite corner of the area you want outlined. A border appears as you drag the mouse. Release the button when you are done dragging.

This technique is used in such operations as cropping and adding text to an image. If the buttons on your mouse are reversed, use the right button as described above.
.topic 2160
PBM
Portable Bitmap File format; mostly used to convert between various types of bitmap images.
.topic 2170
PCX
PC Paintbrush format from ZSoft Corporation. These images are used by many word-processing and desktop publishing programs.
.topic 2180
PGM
Portable Greymap File format; mostly used to convert between various types of greymap images.
.topic 2190
Photo CD
Digital images from Kodak, presented as "slides" on a CD-ROM. IrfanView can open the overview PCD files too!
.topic 2200
pixel
Picture element: One dot in an image. It is the smallest (practical) element used to make up a picture.
.topic 2210
PNG
Portable Network Graphics: A format that combines the best qualities of gifs and jpgs; used for Web publishing. It is also a very good format for screenshots.
.topic 2220
portrait
In reference to printers; printing an image so that it is faced with one short edge of the paper nearest you, as most portrait paintings would be faced. The other standard facing is landscape.
.topic 2230
PPM
Portable Pixelmap format; mostly used to convert between various types of color images.
.topic 2240
progressive
In terms of some image types, such as JPG: an image which builds up on the screen, showing the full image, but of low quality, then gradually building until the full quality image is visible. This allows the user to see some of the image as it builds. This is much the same as interlaced.
.topic 2250
PSD
PhotoShop Software Development file, used for development with Adobe Photoshop and related software.
Note:	IrfanView (and other viewers too) can't correct display some PSD files, especially CMYK PSDs.
.topic 2260
PSP
Paint Shop Pro file format from Jasc Software; special graphics format that can describe a multi-layered image in complete detail.
Note:	IrfanView will display only the first layer (if many) of a PSP image.
.topic 2270
QTIF
QuickTime format.
.topic 2290
RealAudio
RealAudio (*.ra): audio/video format developed by RealNetworks, http://www.real.com. IrfanView plays RA files with the player plugin, please download and install.
.topic 2280
RAS/SUN
Sun Raster: the native bitmap file format for Sun Microsystems workstations.
.topic 2300
RLE
Utah Run Length Encoded image format.
.topic 2310
RMI
MIDI file (MIDI sequence). See also: MID.
.topic 2320
SFF
Structured Fax File.
.topic 2330
SFW
Seattle Film Works format.
.topic 2340
SGI/RGB
Silicon Graphics image format.
.topic 2350
slider control
A control used in Windows to set a value for something. An example: in IrfanView, click on the Image menu, then select Enhance colors. A dialog opens with slider controls. The first slider control allows you to set the value of brightness you want. In the brightness control, the value starts at zero and you can move the slider down to -255 (less bright) or up to +255 (more bright). Click on the line to move the settings more rapidly. Put the mouse directly over the slider, press the left mouse button, hold it and drag the slider to change the settings very rapidly. A fine adjustment allows the input field on the right side of the control. Most slider controls are similar.
.topic 2360
SND
Sun workstation sound file, similar to AU.
.topic 2370
sub-menu
On a Windows menu, an extra menu that "pops up" when you point the mouse at one of the menu choices. This sub-menu gives further control over the choice. An example: on the Image menu, point the mouse at Effects; a sub-menu will appear to let you choose which effect to perform.
.topic 2380
SWF
Macromedia's Shockwave Format.
.topic 2390
tabs
Small extensions at the top of a dialog box; they look like tabs on a file folder; clicking one changes to a different section of the dialog, allowing access to other options.
.topic 2400
task bar
The area of Windows (usually) along the bottom of the screen. This displays various information about Windows' status, such as the clock in the lower right corner. Also shown in the bar are the buttons representing open programs, such as IrfanView. If you minimize a program, you remove it from the screen, but leave it active. Only its button shows, until you click the button to restore it.
.topic 2410
TGA
Truevision Advanced Raster Graphics Adapter (TARGA): Format by Truevision, Inc, used to support image capturing; used with a series of high-resolution graphics adaptors released under the TARGA name.
.topic 2420
thumbnail
A small version of a larger image. Thumbnails are used as "stand-ins" for images where space is a problem. Example: pages on the WWW often use thumbnails to represent images stored at the website. The thumbnails take a fraction of the time to load that the large images would take. Usually, the thumbnail is linked to the large image, so that a click on it will load the full-sized version.
.topic 2430
TIF/TIFF
Tagged Image File Format: a widely used raster format, jointly supported by Aldus; used mostly in desktop publishing; can be viewed on both Macs and PCs; this is the format used by most fax machines.
.topic 2440
transparent color
One color in an image that does not show on screen. This is most often used to allow an image background to be invisible against other colors. An example would be a company logo used on an internet web page; a transparent background color would allow it to be placed directly over other images on the page, and all will still be visible.
.topic 2450
WAV
Windows audio file; they take up a lot of space, but can serve as a go-between for converting between some of the other sound formats.
.topic 2460
WBMP
WAP Bitmap format.
.topic 2470
WMF
Windows MetaFile format; Microsoft vector graphics file, more compact and portable than bmp images.
.topic 2480
XBM
X11 Bitmap.
.topic 2490
XPM
X11 Pixmap.


Glossary

 Top

A

ACR

AIF

ANI

AU

AVI

B

BMP

C

CAM

capture

check-box

clipboard

CLP

CPT

CUR

D

DAT

DCM

DCX

dialog

DIB

DJVU

DLL

drag

E

EMF

EPS

EXE

extension

F

fill color

filter

Filter Factory

FLC

FLI

FPX

FSH

G

G3

GIF

grayscale

greyscale

I

ICL

ICO

IFF

IMA

image

IMG

interlaced

J

JP2

JPEG

JPEG2000

JPG

K

KDC

L

landscape

LBM

LDF

LWF

M

Mac PICT

maximize

MED

MID

minimize

MOV

MP3

MPEG

MPG

O

option button

outline

P

PBM

PCD

PCX

PGM

Photo CD

pixel

PNG

portrait

PPM

progressive

PSD

PSP

Q

QTIF

R

RAS

RealAudio

RGB

RLE

RMI

S

SFF

SFW

SGI

slider control

SND

sub-menu

SUN

SWF

T

tabs

task bar

TGA

thumbnail

TIF

TIFF

transparent color

W

WAV

WBMP

WMF

X

XBM

XPM